Sync with portage [Sat Feb 9 21:57:20 MSK 2019].

mhiretskiy
root 5 years ago
parent 69902332ea
commit ce7deb15ca

Binary file not shown.

Binary file not shown.

@ -1,5 +1,7 @@
DIST ansible-2.5.14.tar.gz 10119785 BLAKE2B 6e771aafc16053185ee6d275d6d41f64aa3f0d6dffbe721a66b548b97e84d78916e03827d592b961f9a4e0bb03fae09320731a4b8fdb814126cecdfb51f9f136 SHA512 9635b1c4bc9a93a24f4bb2894c9fed63803cecb01c5562559e3b808791d1007b26aa0aade4aa05fd4bae0f7d01216588d4e2e0bf4c5fb6cdf677d9b40e9e2de8
DIST ansible-2.6.11.tar.gz 10722546 BLAKE2B d98a82323409b894343c22c0b6226ef643bae34198627a6de426fdb65ef2a9892429edda20d522b8f501fe34c47b463f844abc7e6cf38009bd22398ca0c35f11 SHA512 5b795644d2bc02470b8a71be42720405614eac3e602a8906257c82ace36dc4c3727322b12ffadda6e2b752d963a40559cc35b1bc0a85596123896e7d1ac75b6b
DIST ansible-2.6.12.tar.gz 10726648 BLAKE2B 9f3b1b48069f5b450f649bf1c21ee57922ac3db6a8b1b11c459b572bf298813490f230400f09d35d4d7b21a709643ac37cb527719fea59a1b57616b476235dcb SHA512 daee0a5c37a83dfd22b1fccb5245735e4874f7428f5e8f0244a8a208c7f73729bffc06df16d16e257ae65b8d4cafeb4e3b67e49160b5d9d530666166b5096a70
DIST ansible-2.6.13.tar.gz 10730575 BLAKE2B 2442925421996731be59db7ca18994f9c158f0b1247554bc8252d76d6c8fe8574e4ec2e62d71d7de075a9b109c43620232c78d91dcb3aa8d574752862de4d156 SHA512 7592214bc5c0c4283c99d7a422d44a54f424afe848b40fa2c0b0a4b556361a6290b459d8bdb575ec323e4e96bbad7abc939cdb5664839bb13f5de3d054ffb880
DIST ansible-2.7.5.tar.gz 11781337 BLAKE2B cbb1ae02ee5733c03797db8acbb79980e24afe6e265aa609bbb22d8b43675c8ec995a4b10f3212e8dbf2fe49fdbccf1d2f8ee251bb4bd11ee5198a2ca2443147 SHA512 b3a8a2c10e42f4dcf0f3867901eaaf555e6b9bcbd808b91765a8825db3ec49d618d8893f244d52e49e944d0900a876bbb31b3a7b89d636e435e94cd4b281be18
DIST ansible-2.7.6.tar.gz 11796062 BLAKE2B 171dbcc7380ded52b03b9b109705008a492dbc5b8542fa600562c66abb8c3d3ace6bc92696559357d62fec106938e8fa4366b67cd621e4e8144fad59d0870db7 SHA512 db0813009b4683b74bf4dda640adc3dad750e053c3a87f97c6e61a2a5ea7668ea51e97ec204ddcdba6f09733bb399f824f87f365b74c35315b979603c99a6b70
DIST ansible-2.7.7.tar.gz 11809560 BLAKE2B 3960e4dcd166fb77ddcb6bbae03b20fe679b76aee3db118ddd4642ab7b837a66929bd4ec76c071c53eba7ece47aaf8a52ceb34ea092d3e3db8355839575b684c SHA512 41e007ccc5b22eaa1a7aa9c16f8d012268cbd1055b5c10a204134b7707ab7bf205aab04efccda9fb5497034896542d29ba253ad4ea09b4755b665bada22b4c54

@ -0,0 +1,66 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1 eutils
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x64-macos"
IUSE="doc test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
# not included in release tarball
RESTRICT="test"
python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all
doman docs/man/man1/*.1
dodoc -r examples
}

@ -0,0 +1,66 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1 eutils
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86 ~x64-macos"
IUSE="doc test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
# not included in release tarball
RESTRICT="test"
python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all
doman docs/man/man1/*.1
dodoc -r examples
}

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN//_}/${P}.tgz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ppc x86"
KEYWORDS="amd64 ppc x86"
PATCHES=( "${FILESDIR}"/${P}-ldflags.patch )

@ -1,35 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
inherit eutils multilib
DESCRIPTION="a tool to chroot any dynamically linked application in a safe and sane manner"
HOMEPAGE="http://chrootsafe.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN//_}/${P}.tgz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""
src_prepare() {
epatch "${FILESDIR}"/${P}-ldflags.patch
}
src_configure() {
econf --libexecdir="${EPREFIX}/usr/$(get_libdir)"
}
src_compile() {
emake CPPFLAGS="${CXXFLAGS}" CXX="$(tc-getCXX)"
}
src_install() {
dolib.so chroot_safe.so
dosbin chroot_safe
sed -i -e "s:/chroot_safe::" "${ED}"/usr/sbin/chroot_safe \
|| die "sed chroot_safe failed"
doman chroot_safe.1
dodoc CHANGES.txt
}

@ -1,35 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
DESCRIPTION="A tool to read SMART information from harddiscs"
HOMEPAGE="http://www.linalco.com/comunidad.html http://www.linux-ide.org/smart.html"
SRC_URI="http://www.linalco.com/ragnar/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc sparc x86"
IUSE=""
PATCHES=( "${FILESDIR}"/${PN}-1.4-fix-build-system.patch )
src_prepare() {
default
# yes, the tarball includes pre-compiled
# object files and binaries
rm ${PN}{,.o} || die
}
src_configure() {
tc-export CC
}
src_install() {
dobin ide-smart
doman ide-smart.8
einstalldocs
}

@ -11,7 +11,7 @@ SRC_URI="http://www.linalco.com/ragnar/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ppc sparc x86"
KEYWORDS="amd64 ppc sparc x86"
IUSE=""
src_compile() {

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
USE_RUBY="ruby23 ruby24"
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC=""

@ -16,8 +16,8 @@ rename to configure.ac
- AC_CHECK_LIB(mysqlclient_r, main,,AC_MSG_ERROR(The MySQL library libmysqlclient_r is missing!
-If you're not interested in MySQL support use the --disable-mysql flag.))
- fi
+ LIBS=$(mysql_config --libs_r)
+ AC_CHECK_LIB(mysqlclient_r, main,,AC_MSG_ERROR(The MySQL library libmysqlclient_r is missing!))
+ LIBS=$(mysql_config --libs)
+ AC_CHECK_LIB(mysqlclient, main,,AC_MSG_ERROR(The MySQL library libmysqlclient is missing!))
+fi
+LIBS="$save_LIBS $LIBS"
+

@ -0,0 +1,85 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
AUTOTOOLS_AUTORECONF=1
AUTOTOOLS_IN_SOURCE_BUILD=1
inherit eutils autotools-utils user
DESCRIPTION="Sagan is a multi-threaded, real time system and event log monitoring system"
HOMEPAGE="http://sagan.quadrantsec.com/"
SRC_URI="http://sagan.quadrantsec.com/download/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+libdnet +lognorm mysql +pcap postgres smtp snort"
RDEPEND="dev-libs/libpcre
app-admin/sagan-rules[lognorm?]
smtp? ( net-libs/libesmtp )
pcap? ( net-libs/libpcap )
mysql? ( dev-db/mysql-connector-c:= )
postgres? ( dev-db/postgresql:* )
lognorm? ( dev-libs/liblognorm )
libdnet? ( dev-libs/libdnet )
snort? ( >=net-analyzer/snortsam-2.50 )
"
DEPEND="virtual/pkgconfig
${RDEPEND}"
DOCS=( AUTHORS ChangeLog FAQ INSTALL README NEWS TODO )
PATCHES=( "${FILESDIR}"/mysql_check.patch )
pkg_setup() {
enewgroup sagan
enewuser sagan -1 -1 /dev/null sagan
}
src_configure() {
local myeconfargs=(
$(use_enable mysql)
$(use_enable postgres postgresql)
$(use_enable smtp esmtp)
$(use_enable lognorm)
$(use_enable libdnet)
$(use_enable pcap libpcap)
$(use_enable snort snortsam)
--disable-prelude
)
autotools-utils_src_configure
}
src_install() {
autotools-utils_src_install
diropts -g sagan -o sagan -m 775
dodir /var/log/sagan
keepdir /var/log/sagan
touch "${ED}"/var/log/sagan/sagan.log
chown sagan.sagan "${ED}"/var/log/sagan/sagan.log
newinitd "${FILESDIR}"/sagan.init sagan
newconfd "${FILESDIR}"/sagan.confd sagan
insinto /usr/share/doc/${PF}/examples
doins -r extra/*
}
pkg_postinst() {
if use smtp; then
ewarn "You have enabled smtp use flag. If you plan on using Sagan with"
ewarn "email, create valid writable home directory for user 'sagan'"
ewarn "For security reasons it was created with /dev/null home directory"
fi
einfo "For configuration assistance see"
einfo "http://wiki.quadrantsec.com/bin/view/Main/SaganHOWTO"
}

@ -0,0 +1,94 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
AUTOTOOLS_AUTORECONF=1
AUTOTOOLS_IN_SOURCE_BUILD=1
inherit eutils autotools-utils user
DESCRIPTION="Sagan is a multi-threaded, real time system and event log monitoring system"
HOMEPAGE="http://sagan.quadrantsec.com/"
SRC_URI="http://sagan.quadrantsec.com/download/sagan-1.0.0RC3.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="geoip +libdnet +lognorm mysql +pcap smtp snort"
RDEPEND="dev-libs/libpcre
app-admin/sagan-rules[lognorm?]
smtp? ( net-libs/libesmtp )
pcap? ( net-libs/libpcap )
lognorm? (
dev-libs/liblognorm
dev-libs/json-c:=
dev-libs/libee
dev-libs/libestr
)
libdnet? ( dev-libs/libdnet )
snort? ( >=net-analyzer/snortsam-2.50 )
geoip? ( dev-libs/geoip )
"
DEPEND="virtual/pkgconfig
${RDEPEND}"
# Package no longer logs directly to a database
# and relies on Unified2 format to accomplish it
RDEPEND="${RDEPEND} mysql? ( net-analyzer/barnyard2[mysql] )"
REQUIRED_USE="mysql? ( libdnet )"
DOCS=( AUTHORS ChangeLog FAQ INSTALL README NEWS TODO )
PATCHES=( "${FILESDIR}"/${PN}-1.0.0-liblognorm-json-c.patch )
S="${WORKDIR}/sagan-1.0.0RC3/"
pkg_setup() {
enewgroup sagan
enewuser sagan -1 -1 /dev/null sagan
}
src_configure() {
local myeconfargs=(
$(use_enable smtp esmtp)
$(use_enable lognorm)
$(use_enable libdnet)
$(use_enable pcap libpcap)
$(use_enable snort snortsam)
$(use_enable geoip)
)
autotools-utils_src_configure
}
src_install() {
autotools-utils_src_install
diropts -g sagan -o sagan -m 775
dodir /var/log/sagan
keepdir /var/log/sagan
touch "${ED}"/var/log/sagan/sagan.log
chown sagan.sagan "${ED}"/var/log/sagan/sagan.log
newinitd "${FILESDIR}"/sagan.init-r1 sagan
newconfd "${FILESDIR}"/sagan.confd sagan
insinto /usr/share/doc/${PF}/examples
doins -r extra/*
}
pkg_postinst() {
if use smtp; then
ewarn "You have enabled smtp use flag. If you plan on using Sagan with"
ewarn "email, create valid writable home directory for user 'sagan'"
ewarn "For security reasons it was created with /dev/null home directory"
fi
einfo "For configuration assistance see"
einfo "http://wiki.quadrantsec.com/bin/view/Main/SaganHOWTO"
}

@ -1,2 +1,3 @@
DIST setools-4.1.1.tar.gz 461649 BLAKE2B a753718aa6a5de889ba7a2eea921340061edf1bcb0b572a365e858949a92d2f8a92a876be2e4bc539d85fa6029511ab6afabfbe8138cdb5a73b587a9b58551bb SHA512 2e55a3b07e2f94d7c84054f31d266567b9acc708fe2b0e16ac3ea24e8301c712bcf564ff915a6135a1a6ba6822682bb3a6530dae20161a832fb7048364acbd04
DIST setools-4.2.0.tar.gz 363802 BLAKE2B a57a7d565bb6e91f67cba0516434d8a0d3635d0717e878d8ac43b6cf7de0884ea74152ec50e93554f7d1a75a4098db2241668e1765e7b069d23b6cc13d4b712e SHA512 b51f458f7f2d1b569f63478f53709268615f711104915cc2d5031b2049435e4f43a103ebe50c9797ebe4b2645bf1974c73c2f53e7f602ae03c47221edb89d680
DIST setools-4.2.1.tar.gz 365096 BLAKE2B f415ec15ce7caade2a511896c6027720ecd8b4fae938d9dee1e0b677388966557b9615503df58dd6057f5c0ef81690f753f3e1af773ef5fd8095b29aca0ab249 SHA512 7d00295fe7ff16e96e15266807f8e0a67cc2978f9051cd85afb9ee71ca7fad16ccf7421a4a163bb793950bc20a44f3cbb8409b4e0642d0f96cf7a3df7bc59c31

@ -0,0 +1,49 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
PYTHON_COMPAT=( python3_5 python3_6 )
inherit distutils-r1
DESCRIPTION="Policy Analysis Tools for SELinux"
HOMEPAGE="https://github.com/SELinuxProject/setools/wiki"
if [[ ${PV} == 9999 ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/SELinuxProject/setools.git"
else
SRC_URI="https://github.com/SELinuxProject/setools/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
fi
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
IUSE="X test"
RDEPEND="${PYTHON_DEPS}
>=dev-python/networkx-2.0[${PYTHON_USEDEP}]
>=sys-libs/libsepol-2.8:=
>=sys-libs/libselinux-2.8:=
X? (
dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
)"
DEPEND="${RDEPEND}
>=dev-python/cython-0.27
test? (
sys-apps/checkpolicy
)"
python_prepare_all() {
sed -i "s/'-Werror', //" "${S}"/setup.py || die "failed to remove Werror"
sed -i "s@^lib_dirs = .*@lib_dirs = ['${ROOT:-/}usr/$(get_libdir)']@" "${S}"/setup.py || \
die "failed to set lib_dirs"
use X || local PATCHES=( "${FILESDIR}"/setools-4.2.0-remove-gui.patch )
distutils-r1_python_prepare_all
}
python_test() {
esetup.py test
}

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"

Binary file not shown.

@ -1,3 +1,2 @@
DIST arj_3.10.22-13.debian.tar.xz 15904 BLAKE2B c70a27a8a0a00526d40346ded93f17ee207c81034b0940a196f73b0f40507ba2511e0d4bb9d9a18c342fde93f41c58064c13e45b1b0409a3e156a5b4ddfba81f SHA512 670f9fb69f1f4363a4d277151bc99286de024764a99ca5276e9f46d560718a906657ec6e2898290f57fbf1007c9190959d38de14ecd1d3205fb26323eff6795d
DIST arj_3.10.22-15.debian.tar.xz 16756 BLAKE2B f9bf45f103cf3f76867006bdbd61f6c5e04d75d9543e99e01304b285b8858034c60f38ea76bc8cdc502b44a8515fb7a04fd9d2f3d07f9ea19e1c5d3a4d448eff SHA512 66e1bc3188afc24573fe98374f9b0cf939d0d3c7a1b356e6367ef544fb0e64721fa686fd1e791f58508576f0f50994878347bcb054f48ebe240cc9ab97e00688
DIST arj_3.10.22.orig.tar.gz 431467 BLAKE2B e40409b9f88a1a7e56de4200b464c3dc420659fa3991bf904ca86bbdb428fc8d17f095b9eabf3170712458ef2136e96545810201cc6755c15e45d4ae9a5e3a03 SHA512 4730dfdbab4f8095396c337578ed69bdaae52955ad468db50b52af8ad2846ecd6cfc05eb3ac0d03838c1c32ea60126f14a22b93e8181c06b9546456f3937ff76

@ -1,54 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit autotools eutils multilib toolchain-funcs
PATCH_LEVEL=13
DESCRIPTION="Utility for opening arj archives"
HOMEPAGE="http://arj.sourceforge.net"
SRC_URI="mirror://debian/pool/main/a/arj/${P/-/_}.orig.tar.gz
mirror://debian/pool/main/a/arj/${P/-/_}-${PATCH_LEVEL}.debian.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~ia64 ppc ~ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE=""
src_prepare() {
epatch \
"${FILESDIR}"/${P}-implicit-declarations.patch \
"${FILESDIR}/${P}-glibc2.10.patch"
EPATCH_SUFFIX="patch" EPATCH_FORCE="yes" \
epatch "${WORKDIR}"/debian/patches
epatch "${FILESDIR}"/${P}-darwin.patch
epatch "${FILESDIR}"/${P}-interix.patch
cd gnu
eautoconf
}
src_configure() {
cd gnu || die
CFLAGS="${CFLAGS} -Wall" econf
}
src_compile() {
sed -i -e '/stripgcc/d' GNUmakefile || die "sed failed."
ARJLIBDIR="${EPREFIX}/usr/$(get_libdir)"
emake CC=$(tc-getCC) libdir="${ARJLIBDIR}" \
ADD_LDFLAGS="${LDFLAGS}" \
pkglibdir="${ARJLIBDIR}" all
}
src_install() {
emake pkglibdir="${ARJLIBDIR}" DESTDIR="${D}" install
dodoc doc/rev_hist.txt
}

@ -15,7 +15,7 @@ SRC_URI="mirror://debian/pool/main/a/arj/${MY_P}.orig.tar.gz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ia64 ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
KEYWORDS="amd64 ~arm ~ia64 ppc ~ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE=""
PATCHES=(

@ -9,7 +9,7 @@ SRC_URI="http://archive.lbzip2.org/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE="debug symlink"
RDEPEND="symlink? ( !app-arch/pbzip2[symlink] )"

@ -14,7 +14,7 @@ SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="unRAR"
# subslot = soname version
SLOT="0/5"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE=""
RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@ -31,7 +31,7 @@ DEPEND="
dev-libs/gmp:0
!clientonly? (
postgres? ( dev-db/postgresql:*[threads] )
mysql? ( virtual/mysql )
mysql? ( dev-db/mysql-connector-c:0= )
sqlite? ( dev-db/sqlite:3 )
director? (
virtual/mta

Binary file not shown.

@ -1,3 +1,2 @@
DIST certbot-0.29.1.tar.gz 1265252 BLAKE2B dcb63862f427851655ae8282a3d479adc4aa2f553f510f3769d59748728505cb052291f728f1a01ad4efffa25d9aee6be881a9a7178fb0c025725780150ade45 SHA512 c9b976bec51c83412816726b709b79af0b464efa02f67c4ce7e754a2e6fa11e6811ca5db66616bd7b9e7920d6613665d3e58998c891bdb1452a5159a91971c56
DIST certbot-0.30.0.tar.gz 1266974 BLAKE2B f6c0c6864297ba0f6fc3232e0655d79e0b045923c22015d34f706e392ef83ca95c19b36d47120500bf4a0561a277aced13f7fb49d7bdcdc8359113c617dca37c SHA512 85095dd75ce639fcf93d748e2d32a686aecfa9002ccb2c23bdd4e33f1c47268386a86befbcca8180acf48881888fad484f485ad03fc7acef21a308c4d5432ac5
DIST certbot-0.30.1.tar.gz 1267198 BLAKE2B dc1ce89f376d8cd0ca02dbec50cb39e8c7fc5e140c342b8b80e1226ddffa0a3cf798683679d7815cc9da24ce0371e19f5288619ba69941226f6170f8ec9948fc SHA512 31b790ed6911a9e632327d0833209c679535403d71a9977c8b785cc7585c67a4e18971b33f407598da4c7c67e073b0c2164203df34ec69bf3a0feb6bb326fbce
DIST certbot-0.31.0.tar.gz 1267960 BLAKE2B 4097a3d278d86589e7273c3f5c4f809f0a5777319856a2aea27233ee99eadf2e7c075c5400970be6a2f11032e54457c9705ef45b85e9d158bc04c7761e59a23a SHA512 9202800649691e9b2d6b4c898b975d11ef3aba8f34903c93a11eafa5300f64c939547cfbbe34ac664de293d2540b143f14d3117969e4a6dfc55d624cfae44fea

@ -1,48 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
S=${WORKDIR}/certbot-${PV}/acme
fi
inherit distutils-r1
DESCRIPTION="An implementation of the ACME protocol"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="test"
RDEPEND="
>=dev-python/cryptography-0.8[${PYTHON_USEDEP}]
>=dev-python/josepy-1.0.0[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/requests-2.10[${PYTHON_USEDEP}]
>=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
"
DEPEND="
test? (
${RDEPEND}
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
>=dev-python/setuptools-1.0[${PYTHON_USEDEP}]
"
python_test() {
nosetests -w ${PN} || die
}

@ -10,7 +10,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
S=${WORKDIR}/certbot-${PV}/acme
fi

@ -24,10 +24,10 @@ SLOT="0"
IUSE="test"
RDEPEND="
>=dev-python/cryptography-0.8[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.2.3[${PYTHON_USEDEP}]
>=dev-python/josepy-1.0.0[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-0.13.1[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/requests-2.10[${PYTHON_USEDEP}]

@ -1,3 +1,2 @@
DIST certbot-0.29.1.tar.gz 1265252 BLAKE2B dcb63862f427851655ae8282a3d479adc4aa2f553f510f3769d59748728505cb052291f728f1a01ad4efffa25d9aee6be881a9a7178fb0c025725780150ade45 SHA512 c9b976bec51c83412816726b709b79af0b464efa02f67c4ce7e754a2e6fa11e6811ca5db66616bd7b9e7920d6613665d3e58998c891bdb1452a5159a91971c56
DIST certbot-0.30.0.tar.gz 1266974 BLAKE2B f6c0c6864297ba0f6fc3232e0655d79e0b045923c22015d34f706e392ef83ca95c19b36d47120500bf4a0561a277aced13f7fb49d7bdcdc8359113c617dca37c SHA512 85095dd75ce639fcf93d748e2d32a686aecfa9002ccb2c23bdd4e33f1c47268386a86befbcca8180acf48881888fad484f485ad03fc7acef21a308c4d5432ac5
DIST certbot-0.30.1.tar.gz 1267198 BLAKE2B dc1ce89f376d8cd0ca02dbec50cb39e8c7fc5e140c342b8b80e1226ddffa0a3cf798683679d7815cc9da24ce0371e19f5288619ba69941226f6170f8ec9948fc SHA512 31b790ed6911a9e632327d0833209c679535403d71a9977c8b785cc7585c67a4e18971b33f407598da4c7c67e073b0c2164203df34ec69bf3a0feb6bb326fbce
DIST certbot-0.31.0.tar.gz 1267960 BLAKE2B 4097a3d278d86589e7273c3f5c4f809f0a5777319856a2aea27233ee99eadf2e7c075c5400970be6a2f11032e54457c9705ef45b85e9d158bc04c7761e59a23a SHA512 9202800649691e9b2d6b4c898b975d11ef3aba8f34903c93a11eafa5300f64c939547cfbbe34ac664de293d2540b143f14d3117969e4a6dfc55d624cfae44fea

@ -1,38 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm64 x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi
inherit distutils-r1
DESCRIPTION="Apache plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="test"
RDEPEND=">=app-crypt/certbot-0.26.0[${PYTHON_USEDEP}]
>=app-crypt/acme-0.25.0[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/python-augeas[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
DEPEND="test? ( ${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}] )
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
nosetests || die
}

@ -10,7 +10,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 ~arm64 x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi

@ -1,3 +1,2 @@
DIST certbot-0.29.1.tar.gz 1265252 BLAKE2B dcb63862f427851655ae8282a3d479adc4aa2f553f510f3769d59748728505cb052291f728f1a01ad4efffa25d9aee6be881a9a7178fb0c025725780150ade45 SHA512 c9b976bec51c83412816726b709b79af0b464efa02f67c4ce7e754a2e6fa11e6811ca5db66616bd7b9e7920d6613665d3e58998c891bdb1452a5159a91971c56
DIST certbot-0.30.0.tar.gz 1266974 BLAKE2B f6c0c6864297ba0f6fc3232e0655d79e0b045923c22015d34f706e392ef83ca95c19b36d47120500bf4a0561a277aced13f7fb49d7bdcdc8359113c617dca37c SHA512 85095dd75ce639fcf93d748e2d32a686aecfa9002ccb2c23bdd4e33f1c47268386a86befbcca8180acf48881888fad484f485ad03fc7acef21a308c4d5432ac5
DIST certbot-0.30.1.tar.gz 1267198 BLAKE2B dc1ce89f376d8cd0ca02dbec50cb39e8c7fc5e140c342b8b80e1226ddffa0a3cf798683679d7815cc9da24ce0371e19f5288619ba69941226f6170f8ec9948fc SHA512 31b790ed6911a9e632327d0833209c679535403d71a9977c8b785cc7585c67a4e18971b33f407598da4c7c67e073b0c2164203df34ec69bf3a0feb6bb326fbce
DIST certbot-0.31.0.tar.gz 1267960 BLAKE2B 4097a3d278d86589e7273c3f5c4f809f0a5777319856a2aea27233ee99eadf2e7c075c5400970be6a2f11032e54457c9705ef45b85e9d158bc04c7761e59a23a SHA512 9202800649691e9b2d6b4c898b975d11ef3aba8f34903c93a11eafa5300f64c939547cfbbe34ac664de293d2540b143f14d3117969e4a6dfc55d624cfae44fea

@ -1,34 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi
inherit distutils-r1
DESCRIPTION="Nginx plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="${CDEPEND}
>=app-crypt/certbot-0.22.0[${PYTHON_USEDEP}]
>=app-crypt/acme-0.26.0[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
>=dev-python/pyparsing-1.5.5[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
DEPEND="${CDEPEND}"

@ -10,7 +10,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi

@ -1,3 +1,2 @@
DIST certbot-0.29.1.tar.gz 1265252 BLAKE2B dcb63862f427851655ae8282a3d479adc4aa2f553f510f3769d59748728505cb052291f728f1a01ad4efffa25d9aee6be881a9a7178fb0c025725780150ade45 SHA512 c9b976bec51c83412816726b709b79af0b464efa02f67c4ce7e754a2e6fa11e6811ca5db66616bd7b9e7920d6613665d3e58998c891bdb1452a5159a91971c56
DIST certbot-0.30.0.tar.gz 1266974 BLAKE2B f6c0c6864297ba0f6fc3232e0655d79e0b045923c22015d34f706e392ef83ca95c19b36d47120500bf4a0561a277aced13f7fb49d7bdcdc8359113c617dca37c SHA512 85095dd75ce639fcf93d748e2d32a686aecfa9002ccb2c23bdd4e33f1c47268386a86befbcca8180acf48881888fad484f485ad03fc7acef21a308c4d5432ac5
DIST certbot-0.30.1.tar.gz 1267198 BLAKE2B dc1ce89f376d8cd0ca02dbec50cb39e8c7fc5e140c342b8b80e1226ddffa0a3cf798683679d7815cc9da24ce0371e19f5288619ba69941226f6170f8ec9948fc SHA512 31b790ed6911a9e632327d0833209c679535403d71a9977c8b785cc7585c67a4e18971b33f407598da4c7c67e073b0c2164203df34ec69bf3a0feb6bb326fbce
DIST certbot-0.31.0.tar.gz 1267960 BLAKE2B 4097a3d278d86589e7273c3f5c4f809f0a5777319856a2aea27233ee99eadf2e7c075c5400970be6a2f11032e54457c9705ef45b85e9d158bc04c7761e59a23a SHA512 9202800649691e9b2d6b4c898b975d11ef3aba8f34903c93a11eafa5300f64c939547cfbbe34ac664de293d2540b143f14d3117969e4a6dfc55d624cfae44fea

@ -1,46 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
fi
inherit distutils-r1
DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="test"
CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="
${CDEPEND}
>=app-crypt/acme-0.29.0[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
dev-python/configobj[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.2[${PYTHON_USEDEP}]
dev-python/josepy[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
DEPEND="
${CDEPEND}
test? (
dev-python/pytest[${PYTHON_USEDEP}]
)"
python_test() {
pytest -vv ${PN} || die
}

@ -9,7 +9,7 @@ if [[ ${PV} == 9999* ]]; then
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
fi
inherit distutils-r1

@ -27,7 +27,7 @@ RDEPEND="
>=app-crypt/acme-0.29.0[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
dev-python/configobj[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.2[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.2.3[${PYTHON_USEDEP}]
dev-python/josepy[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -7,7 +7,7 @@ EGO_PN="github.com/cloudflare/${PN}"
inherit golang-build golang-vcs-snapshot
SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
KEYWORDS="amd64"
DESCRIPTION="Cloudflare's PKI and TLS toolkit"
HOMEPAGE="https://github.com/cloudflare/cfssl"

@ -0,0 +1,56 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="An advanced suite for testing the randomness of RNG's"
HOMEPAGE="http://www.phy.duke.edu/~rgb/General/dieharder.php"
SRC_URI="http://www.phy.duke.edu/~rgb/General/${PN}/${P}.tgz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="doc"
RESTRICT="test"
RDEPEND="sci-libs/gsl"
DEPEND="${RDEPEND}
doc? ( dev-tex/latex2html )"
DOCS=(
NOTES
)
HTML_DOCS=()
PATCHES=(
"${FILESDIR}/${P}-build.patch"
"${FILESDIR}/${P}-urandom-64bit.patch"
)
pkg_setup() {
use doc && DOCS+=(
ChangeLog
manual/dieharder.pdf manual/dieharder.ps
)
use doc && HTML_DOCS+=(
dieharder.html
)
}
src_compile() {
emake -j1
use doc && emake -C manual
}
src_test() {
"${S}/dieharder/dieharder" -g 501 -a
}
src_install() {
default
docinto "dieharder"
dodoc dieharder/README dieharder/NOTES
docinto "libdieharder"
dodoc libdieharder/README libdieharder/NOTES
}

@ -0,0 +1,87 @@
diff -ru dieharder-3.31.1/libdieharder/rng_dev_arandom.c dieharder-3.31.1_fixed/libdieharder/rng_dev_arandom.c
--- dieharder-3.31.1/libdieharder/rng_dev_arandom.c 2011-10-14 15:41:37.000000000 +0200
+++ dieharder-3.31.1_fixed/libdieharder/rng_dev_arandom.c 2014-01-03 22:51:30.010534418 +0100
@@ -6,6 +6,7 @@
*/
#include <dieharder/libdieharder.h>
+#include <stdint.h>
static unsigned long int dev_arandom_get (void *vstate);
static double dev_arandom_get_double (void *vstate);
@@ -21,7 +22,7 @@
dev_arandom_get (void *vstate)
{
dev_arandom_state_t *state = (dev_arandom_state_t *) vstate;
- unsigned long int j;
+ uint32_t j;
if(state->fp != NULL) {
fread(&j,sizeof(j),1,state->fp);
@@ -36,7 +37,7 @@
static double
dev_arandom_get_double (void *vstate)
{
- return dev_arandom_get (vstate) / (double) UINT_MAX;
+ return dev_arandom_get (vstate) / (double) UINT32_MAX;
}
static void
diff -ru dieharder-3.31.1/libdieharder/rng_dev_random.c dieharder-3.31.1_fixed/libdieharder/rng_dev_random.c
--- dieharder-3.31.1/libdieharder/rng_dev_random.c 2011-10-14 15:41:37.000000000 +0200
+++ dieharder-3.31.1_fixed/libdieharder/rng_dev_random.c 2014-01-03 22:50:57.852321485 +0100
@@ -6,6 +6,7 @@
*/
#include <dieharder/libdieharder.h>
+#include <stdint.h>
static unsigned long int dev_random_get (void *vstate);
static double dev_random_get_double (void *vstate);
@@ -21,7 +22,7 @@
dev_random_get (void *vstate)
{
dev_random_state_t *state = (dev_random_state_t *) vstate;
- unsigned long int j;
+ uint32_t j;
if(state->fp != NULL) {
fread(&j,sizeof(j),1,state->fp);
@@ -36,7 +37,7 @@
static double
dev_random_get_double (void *vstate)
{
- return dev_random_get (vstate) / (double) UINT_MAX;
+ return dev_random_get (vstate) / (double) UINT32_MAX;
}
static void
diff -ru dieharder-3.31.1/libdieharder/rng_dev_urandom.c dieharder-3.31.1_fixed/libdieharder/rng_dev_urandom.c
--- dieharder-3.31.1/libdieharder/rng_dev_urandom.c 2011-10-14 15:41:37.000000000 +0200
+++ dieharder-3.31.1_fixed/libdieharder/rng_dev_urandom.c 2014-01-03 23:06:24.124239582 +0100
@@ -3,6 +3,7 @@
*/
#include <dieharder/libdieharder.h>
+#include <stdint.h>
/*
* This is a wrapping of the /dev/random hardware rng
@@ -21,7 +22,7 @@
dev_urandom_get (void *vstate)
{
dev_urandom_state_t *state = (dev_urandom_state_t *) vstate;
- unsigned long int j;
+ uint32_t j;
if(state->fp != NULL) {
fread(&j,sizeof(j),1,state->fp);
@@ -36,7 +37,7 @@
static double
dev_urandom_get_double (void *vstate)
{
- return dev_urandom_get (vstate) / (double) UINT_MAX;
+ return dev_urandom_get (vstate) / (double) UINT32_MAX;
}
static void

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ SRC_URI="https://github.com/${PN}/VeraCrypt/archive/VeraCrypt_${PV}.tar.gz"
LICENSE="Apache-2.0 truecrypt-3.0"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
IUSE="+asm cpu_flags_x86_sse2 cpu_flags_x86_sse4_1 cpu_flags_x86_ssse3 doc X"
RESTRICT="bindist mirror"

Binary file not shown.

@ -25,5 +25,5 @@ SRC_URI="mirror://sourceforge/aoo-extensions/focloiri-gaeilge-4.8.oxt -> ${P}.ox
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -25,5 +25,5 @@ HOMEPAGE="https://extensions.openoffice.org/en/project/corrector-ortografico-hun
SRC_URI="mirror://sourceforge/aoo-extensions/hunspell-gl-13.10.oxt -> ${P}.oxt"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -23,5 +23,5 @@ HOMEPAGE="https://extensions.openoffice.org/en/project/croatian-dictionary-and-h
SRC_URI="mirror://sourceforge/aoo-extensions/dict-hr.oxt -> ${P}.oxt"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -25,5 +25,5 @@ HOMEPAGE="https://extensions.openoffice.org/en/project/interlingua-dictionario-o
SRC_URI="mirror://sourceforge/aoo-extensions/dict-ia-${MY_PV}.oxt -> ${P}.oxt"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -22,5 +22,5 @@ HOMEPAGE="https://extensions.openoffice.org/en/project/macedonian-spellchecker-d
SRC_URI="mirror://sourceforge/aoo-extensions/dict-mk.oxt -> ${P}.oxt"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -22,5 +22,5 @@ HOMEPAGE="https://extensions.openoffice.org/en/project/kamus-bahasa-malaysia-mal
SRC_URI="mirror://sourceforge/aoo-extensions/ms_my.oxt -> ${P}.oxt"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -24,5 +24,5 @@ HOMEPAGE="https://extensions.openoffice.org/en/project/swahili-dictionary"
SRC_URI="mirror://sourceforge/aoo-extensions/dicts.sw.oxt -> ${P}.oxt"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -24,5 +24,5 @@ HOMEPAGE="https://extensions.openoffice.org/en/project/zulu-spell-checker"
SRC_URI="mirror://sourceforge/aoo-extensions/dict-zu_za-${MY_PV}.oxt -> ${P}.oxt"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

Binary file not shown.

@ -9,7 +9,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-fbsd"
KEYWORDS="alpha amd64 ~arm arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-fbsd"
IUSE=""
RDEPEND="dev-lang/perl

Binary file not shown.

@ -1,40 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils toolchain-funcs
DESCRIPTION="A minimal console text editor"
HOMEPAGE="http://dav-text.sourceforge.net/"
# The maintainer does not keep sourceforge's mirrors up-to-date,
# so we point to the website's store of files.
SRC_URI="http://dav-text.sourceforge.net/files/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
RDEPEND="sys-libs/ncurses:0="
DEPEND="
${RDEPEND}
virtual/pkgconfig
"
src_prepare() {
epatch \
"${FILESDIR}"/${P}-asneeded.patch \
"${FILESDIR}"/${P}-davrc-buffer-overflow.patch
}
# Makefile only
src_configure() { :; }
src_compile() {
emake \
CC="$(tc-getCC)" \
CFLAGS="${CFLAGS}" \
LDFLAGS="${LDFLAGS} $( $(tc-getPKG_CONFIG) --libs ncurses)"
}
DOCS=( README )

@ -13,7 +13,7 @@ SRC_URI="http://dav-text.sourceforge.net/files/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha ~amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="alpha amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
RDEPEND="sys-libs/ncurses:0="
DEPEND="

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
USE_RUBY="ruby22 ruby23 ruby24"
USE_RUBY="ruby23 ruby24 ruby25 ruby26"
inherit ruby-ng

@ -1,4 +1,2 @@
DIST fte-20051115-common.zip 187849 BLAKE2B eb410c64b40650b475fb651a014c4ddf2cece6471f2144928b88644a04f9fe4886caf6f0f4b8d679a8fb506461bf7973f1e2bd3a9d8163f462e8eb03f2d85163 SHA512 18e1657a6fe1b48449dc97a357f00bfeb6626450520b48647e2751cc946d9d1bfc6d77d4b0fbdff0a980121502da870f739846b1db9569ff0b305530ee717323
DIST fte-20051115-src.zip 549216 BLAKE2B 0ec3eeea813380cb0c2cac55dc42beaeecb10ec3c6bac02668d995b5735443cb92cdc430135973190560a8a4e9096737d9bc6b448258fa9e04c4bb1b18235609 SHA512 320c2c4f27041ff5e7417288e5acc8c776013da4aa7cfc187e6207086851642a7ed961383ca19f6ae6c1717a59453c6a9ca40a1c7eb77dae6e5b9184cd7c346a
DIST fte-20110708-common.zip 200007 BLAKE2B ce1ac0f2bd68b2bb7ef1d96a46bd9a481cd46f5cde00607c64f752d5e87f6edefd8a92c8210e1ac7629ef8bc5720a8a2d75bd61f292f344e211b88a2462989fa SHA512 0bb59a5b6b4a5ef6c1234dadd8922cd50a13ad1f0c06d6046b74a95592ad55f720b43bbc78a42cab63dfc68c5e073d44d5179bd6ed72f346563f43f3c5c146f1
DIST fte-20110708-src.zip 504199 BLAKE2B 42bb3cc4ae9be4b64c0b161488d91d4a260a2e6a1574fccb0fc652359e34f7b6b881f170dfd85a8954f2b2fdbe4fecaaf2fc68cd5244f185dde36fe1a694004e SHA512 2d59fadcdd988ee85b87425c343341e1b768a7e9ef838c5f8a1f22c4adc5bf2cc37d547f36354ca1740bce07b33d5ae93d14e24001b9dbd3b1b267986564a089

@ -1,124 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
inherit eutils toolchain-funcs
DESCRIPTION="Lightweight text-mode editor"
HOMEPAGE="http://fte.sourceforge.net"
SRC_URI="
mirror://sourceforge/fte/${P}-src.zip
mirror://sourceforge/fte/${P}-common.zip"
LICENSE="|| ( GPL-2 Artistic )"
SLOT="0"
KEYWORDS="~alpha amd64 ppc -sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="gpm slang X"
S="${WORKDIR}/${PN}"
RDEPEND="
>=sys-libs/ncurses-5.2
X? (
x11-libs/libXdmcp
x11-libs/libXau
x11-libs/libX11
x11-libs/libXpm
)
gpm? ( >=sys-libs/gpm-1.20 )"
DEPEND="${RDEPEND}
slang? ( >=sys-libs/slang-2.1.3 )
app-arch/unzip"
set_targets() {
export TARGETS=""
use slang && TARGETS="${TARGETS} sfte"
use X && TARGETS="${TARGETS} xfte"
[[ ${CHOST} == *-linux-gnu* ]] \
&& TARGETS="${TARGETS} vfte" \
|| TARGETS="${TARGETS} nfte"
}
src_prepare() {
epatch \
"${FILESDIR}"/fte-gcc34 \
"${FILESDIR}"/${PN}-new_keyword.patch \
"${FILESDIR}"/${PN}-slang.patch \
"${FILESDIR}"/${PN}-interix.patch \
"${FILESDIR}"/${PN}-cpp14.patch # bug #595048
[[ -e /usr/include/linux/keyboard.h ]] && \
sed /usr/include/linux/keyboard.h -e '/wait.h/d' > src/hacked_keyboard.h
sed \
-e "s:<linux/keyboard.h>:\"hacked_keyboard.h\":" \
-i src/con_linux.cpp || die "sed keyboard"
sed \
-e 's:^OPTIMIZE:#&:g' \
-e '/^LDFLAGS/s:=:+=:g' \
-e 's:= g++:= $(CXX):g' \
-i src/fte-unix.mak || die "sed CFLAGS, LDFLAGS, CC"
ecvs_clean
}
src_configure() {
set_targets
sed \
-e "s:@targets@:${TARGETS}:" \
-e '/^XINCDIR =/c\XINCDIR =' \
-e '/^XLIBDIR =/c\XLIBDIR = -lstdc++' \
-e '/^SINCDIR =/c\SINCDIR = -I'"${EPREFIX}"'/usr/include/slang' \
-i src/fte-unix.mak || die "sed targets"
if ! use gpm; then
sed \
-e "s:#define USE_GPM://#define USE_GPM:" \
-i src/con_linux.cpp || die "sed USE_GPM"
sed \
-e "s:-lgpm::" \
-i src/fte-unix.mak || die "sed -lgpm"
fi
}
src_compile() {
local os="-DLINUX" # by now the default in makefile
[[ ${CHOST} == *-interix* ]] && os=
DEFFLAGS="PREFIX='${EPREFIX}'/usr CONFIGDIR='${EPREFIX}'/usr/share/fte \
DEFAULT_FTE_CONFIG=../config/main.fte UOS=${os}"
set_targets
emake CXX=$(tc-getCXX) OPTIMIZE="${CXXFLAGS}" ${DEFFLAGS} TARGETS="${TARGETS}" all
}
src_install() {
local files
keepdir /etc/fte
into /usr
set_targets
files="${TARGETS} cfte"
for i in ${files}; do
dobin src/$i
done
dobin "${FILESDIR}"/fte
dodoc CHANGES BUGS HISTORY README TODO
dohtml doc/*
insinto /usr/share/fte
doins -r config/*
}
pkg_postinst() {
ebegin "Compiling configuration"
cd "${EPREFIX}"/usr/share/fte || die "missing configuration dir"
"${EPREFIX}"/usr/bin/cfte main.fte "${EPREFIX}"/etc/fte/system.fterc
eend $?
}

@ -13,7 +13,7 @@ SRC_URI="
LICENSE="|| ( GPL-2 Artistic )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ppc -sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha amd64 ppc -sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="gpm slang X"
S="${WORKDIR}/${PN}"

@ -0,0 +1,13 @@
--- a/CMakeLists.txt 2018-05-11 20:12:37.000000000 +0200
+++ b/CMakeLists.txt 2019-02-09 16:33:18.953280283 +0100
@@ -125,7 +125,7 @@
DESTINATION ${KDE_INSTALL_DATAROOTDIR}/doc/kile)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)
-find_package(KF5DocTools CONFIG REQUIRED)
-kdoctools_install(po)
+if(KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

@ -19,7 +19,6 @@ DEPEND="
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep kcrash)
$(add_frameworks_dep kdbusaddons)
$(add_frameworks_dep kdoctools)
$(add_frameworks_dep kguiaddons)
$(add_frameworks_dep khtml)
$(add_frameworks_dep ki18n)
@ -57,6 +56,7 @@ DOCS=( AUTHORS ChangeLog kile-remote-control.txt README README.cwl )
PATCHES=(
"${FILESDIR}/${P}-cmake.patch"
"${FILESDIR}/${P}-kf5doctools.patch"
"${FILESDIR}/${P}-desktopfile.patch"
"${FILESDIR}/${P}-no-empty-filename.patch"
"${FILESDIR}/${P}-viewtab-crash.patch"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="https://github.com/magnars/dash.el/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc64 ~x86 ~amd64-linux ~x86-linux"
DEPEND="sys-apps/texinfo"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,7 +12,7 @@ SRC_URI="https://github.com/magit/ghub/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
SITEFILE="50${PN}-gentoo.el"
ELISP_TEXINFO="*.texi"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,7 +12,7 @@ SRC_URI="https://github.com/magit/magit/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
S="${WORKDIR}/${P}/lisp"
SITEFILE="50${PN}-gentoo.el"

@ -1 +1 @@
DIST RncMode-1_0b3.tgz 3420 BLAKE2B f955f4bb3064e54756ffaf377f4b0f51e65a62d5255e3e7516836576b8c84481945ae176d43f0e2066aacdf605714d935fd4e043fba711026bd3568d8f66404f SHA512 0118e7b03dc039568ed427f9268878075077c360e34cd7fd9a565a11418161037890b08cc6169ddf92289ca1bdb66a1e373910b67735085a18618089729416cd
DIST rnc-mode-1.0.6.tar.gz 5438 BLAKE2B 7c14f7e7c0db9f85a2bfab5d6fe064529416333d421658ded4284ab4513e037b930e89cc0ad74a00371374b4a7a0ceec3a81a121ac5688a18af17ed611b367aa SHA512 18dcf594bb12f8152578be85a36047d55bf407fb8ed086c03d7a7a69028f6616f651a5485e69aa1df30df6fda6fb742de05c8b54bd1b3c5c4e65021a83d63e30

@ -1,7 +1,3 @@
;;; rnc-mode site-lisp configuration
(add-to-list 'load-path "@SITELISP@")
(autoload 'rnc-mode "rnc-mode")
(add-to-list 'auto-mode-alist '("\\.rnc\\'" . rnc-mode))

@ -0,0 +1,18 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit elisp
DESCRIPTION="An Emacs mode for editing Relax NG compact schema files"
HOMEPAGE="https://github.com/TreeRex/rnc-mode
https://www.emacswiki.org/emacs/RELAX_NG"
SRC_URI="https://github.com/TreeRex/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
SITEFILE="50${PN}-gentoo.el"
DOCS="README.md"

@ -1,22 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=0
inherit elisp
MY_PV=${PV/./_}
MY_PV=${MY_PV/_beta/b}
DESCRIPTION="An Emacs mode for editing Relax NG compact schema files"
HOMEPAGE="http://www.pantor.com/"
SRC_URI="http://www.pantor.com/RncMode-${MY_PV}.tgz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE=""
SITEFILE=50${PN}-gentoo.el
S="${WORKDIR}"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,7 +12,7 @@ SRC_URI="https://github.com/magit/with-editor/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc64 ~x86 ~amd64-linux ~x86-linux"
SITEFILE="50${PN}-gentoo.el"
ELISP_TEXINFO="*.texi"

Binary file not shown.

@ -1,7 +1,5 @@
DIST containerd-1.0.3.tar.gz 3776722 BLAKE2B 31e9f2e56b23d09341e4cdd546198233517893e1596c9aefd084044f04b1e1831219343142eef09159a5698720fa307e3ec1dbb86304e071a9d8e1f8f8436519 SHA512 31aa462f357a77434033ae4bff2e453ce849cbd91e4981383be3c7cdea77ea1f57081c4f8121d15c151145defc2003348fe23b26a11568b38780fa2fb9cf114c
DIST containerd-1.1.1.tar.gz 5123253 BLAKE2B e3e14311f4b444531b9b5d22ad7babd3fe9e7f4bf540c98153ebfc7445c34dad9c1268863e90a383bdab8630fc6576d1425e3e6a7f37e25fe6fb392aac389e2f SHA512 429070dbe0b486f8bbf5411c037e020f50fd008741091d6db1c13a0b526b2b4d0b22bb458401dd2ed142dc34e9bdcbd1ea30eabba39f11a50c294b94ce9867bd
DIST containerd-1.1.2.tar.gz 5124208 BLAKE2B d989519d6bef4e12d1fa04aa00bfee223e94676a90525304d4357f4caf46326b4d2b897b885e9e137fe01ce66b93bc92fb7da7bd2b5dd5019edda5bb0bbc6d0a SHA512 fe4121a43e72a354cd87577b5227f2c2e0d54674244001e6fdb695da78873b3fd3f46b6bda6bbd0c8793b33f50e0d725cb356bb75b789a273c862bbe7d4f719c
DIST containerd-1.1.4.tar.gz 5328134 BLAKE2B cb69f9bd80bc279ae2bd85c75152dacdbdf13df9aa2efae2453c11bf6ea9b990a4e8ec3cb07778ff1b07ef2fbc05d19bb5714616fa5618f590dc8c5b5c2b2bd0 SHA512 c51b3168b8d8121b1479f75f5ba21280848bb1cbed2d2c4a7e315ec24d1805fc9c512a1fc53e8e8fc32e150c7f2becb8daca0ecab4eaf760b3274c11fbcd6ea8
DIST containerd-1.2.0.tar.gz 4605096 BLAKE2B 5bcfb252933d4f8d5ab6c7e91505cfec34137545121440cd6935e05cd3c62a4969fff8b90b628634c01cc9a4dc3901c307604ab30f45a03dd20112653da9437d SHA512 f7e1ede8db253c666dc9d68642951a427722945da60acf8631312377c84aab14c7a8b14e81f9a63ab8f909d25eb55911c0f2eef68f11380c66cd77bada8577bd
DIST containerd-1.2.1.tar.gz 4605947 BLAKE2B 340daac847eaa653d15894fd65c190702807400dfb8293b5a2507b9a13a86752c00357cf6aeb3735c57878c34f79c35076d7087a905ee7efe7971746c792a212 SHA512 0949299afe17e269a6c551e865e500afeeaba700cf78bb12fef4af8e6d48a2f699976e81dad44d797bb13079361f5d5e05e9abe903a3b158af93f2aaa95712e5
DIST containerd-1.2.2.tar.gz 4607013 BLAKE2B aca366f23cb24ddd0363333e5a4ab0fc833f917c7f1f01d56fd22bdb4bc6721f077e5ba411db6faecc4152b8f047af5da95283029f6e66dadad49c7296b82c89 SHA512 0fdd8799c5afb75074b6f00d5191e983ff570b323242665055c73b2e7a6bdd74a745e287f4f7b675dde26e8bf083c144104151e794ad24d2a8f6f39ae2ee6fff
DIST containerd-1.2.3.tar.gz 4612104 BLAKE2B 9b975bea8f848c667c44e3b597fd16889796b5b482b2ea528505db9089da46da8d4e655ba8e77f6e205825be193984124b315231b9bda8bb75dc28d3500f9897 SHA512 01c6e196ddaebfffd069aca87c669acae3923bc9b25f3a59070a6fdbe28661afd4e548b9bb6a4faec3d3d3a937f36eacd7c179986d04f83428cff439e41b1e0d

@ -1,54 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN="github.com/containerd/${PN}"
inherit toolchain-funcs
if [[ ${PV} == *9999 ]]; then
inherit golang-vcs
else
MY_PV="${PV/_rc/-rc.}"
EGIT_COMMIT="v${MY_PV}"
CONTAINERD_COMMIT="d64c661f1d51c48782c9cec8fda7604785f93587"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
inherit golang-vcs-snapshot
fi
DESCRIPTION="A daemon to control runC"
HOMEPAGE="https://containerd.tools"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="+btrfs hardened"
DEPEND="btrfs? ( sys-fs/btrfs-progs )"
RDEPEND="|| ( >=app-emulation/docker-runc-1.0.0_rc4
>=app-emulation/runc-1.0.0_rc4 )
sys-libs/libseccomp"
S=${WORKDIR}/${P}/src/${EGO_PN}
RESTRICT="test"
src_prepare() {
default
if [[ ${PV} != *9999* ]]; then
sed -i -e "s/git describe --match.*$/echo ${PV})/"\
-e "s/git rev-parse HEAD.*$/echo $CONTAINERD_COMMIT)/"\
-e "s/-s -w//" \
Makefile || die
fi
}
src_compile() {
local options=( $(usex btrfs "" "no_btrfs") )
export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
LDFLAGS=$(usex hardened '-extldflags -fno-PIC' '') emake BUILDTAGS="${options[@]}"
}
src_install() {
dobin bin/containerd{-shim,-stress,} bin/ctr
}

@ -1,55 +0,0 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN="github.com/containerd/${PN}"
inherit toolchain-funcs
if [[ ${PV} == *9999 ]]; then
inherit golang-vcs
else
MY_PV="${PV/_rc/-rc.}"
EGIT_COMMIT="v${MY_PV}"
CONTAINERD_COMMIT="c4446665cb9c30056f4998ed953e6d4ff22c7c39"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
inherit golang-vcs-snapshot
fi
DESCRIPTION="A daemon to control runC"
HOMEPAGE="https://containerd.tools"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="apparmor +btrfs +cri hardened +seccomp"
DEPEND="btrfs? ( sys-fs/btrfs-progs )
seccomp? ( sys-libs/libseccomp )"
RDEPEND="|| ( >=app-emulation/docker-runc-1.0.0_rc4
>=app-emulation/runc-1.0.0_rc4 )
seccomp? ( sys-libs/libseccomp )"
S=${WORKDIR}/${P}/src/${EGO_PN}
RESTRICT="test"
src_prepare() {
default
if [[ ${PV} != *9999* ]]; then
sed -i -e "s/git describe --match.*$/echo ${PV})/"\
-e "s/git rev-parse HEAD.*$/echo $CONTAINERD_COMMIT)/"\
-e "s/-s -w//" \
Makefile || die
fi
}
src_compile() {
local options=( $(usex btrfs "" "no_btrfs") $(usex cri "" "no_cri") $(usex seccomp "seccomp" "") $(usex apparmor "apparmor" "") )
export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
LDFLAGS=$(usex hardened '-extldflags -fno-PIC' '') BUILDTAGS="${options[@]}" emake
}
src_install() {
dobin bin/containerd{-shim,-stress,} bin/ctr
}

@ -1,56 +0,0 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN="github.com/containerd/${PN}"
inherit toolchain-funcs
if [[ ${PV} == *9999 ]]; then
inherit golang-vcs
else
MY_PV="${PV/_rc/-rc.}"
EGIT_COMMIT="v${MY_PV}"
CONTAINERD_COMMIT="9b32062dc1f5a7c2564315c269b5059754f12b9d"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
inherit golang-vcs-snapshot
fi
DESCRIPTION="A daemon to control runC"
HOMEPAGE="https://containerd.tools"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="apparmor +btrfs +cri hardened +seccomp"
DEPEND="btrfs? ( sys-fs/btrfs-progs )
seccomp? ( sys-libs/libseccomp )"
RDEPEND=">=app-emulation/runc-1.0.0_rc5
seccomp? ( sys-libs/libseccomp )"
S=${WORKDIR}/${P}/src/${EGO_PN}
RESTRICT="test"
src_prepare() {
default
if [[ ${PV} != *9999* ]]; then
sed -i -e "s/git describe --match.*$/echo ${PV})/"\
-e "s/git rev-parse HEAD.*$/echo $CONTAINERD_COMMIT)/"\
-e "s/-s -w//" \
Makefile || die
fi
}
src_compile() {
local options=( $(usex btrfs "" "no_btrfs") $(usex cri "" "no_cri") $(usex seccomp "seccomp" "") $(usex apparmor "apparmor" "") )
export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
LDFLAGS=$(usex hardened '-extldflags -fno-PIC' '') BUILDTAGS="${options[@]}" emake
}
src_install() {
newinitd "${FILESDIR}"/${PN}.initd ${PN}
dodir /var/lib/containerd
dobin bin/containerd{-shim,-stress,} bin/ctr
}

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ if [[ ${PV} == *9999 ]]; then
else
MY_PV="${PV/_rc/-rc.}"
EGIT_COMMIT="v${MY_PV}"
CONTAINERD_COMMIT="c4446665cb9c30056f4998ed953e6d4ff22c7c39"
CONTAINERD_COMMIT="7f5f1176dd9fb3cc8d3ce5de91759ed3dc969fa2"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
inherit golang-vcs-snapshot
@ -51,6 +51,6 @@ src_compile() {
src_install() {
newinitd "${FILESDIR}"/${PN}.initd ${PN}
dodir /var/lib/containerd
dobin bin/containerd{-shim,-stress,} bin/ctr
keepdir /var/lib/containerd
dobin bin/*
}

@ -1,38 +0,0 @@
From 9686d822284aa8fc9d4d136cc01314f5bf455cba Mon Sep 17 00:00:00 2001
From: Stephen J Day <stephen.day@docker.com>
Date: Fri, 2 Mar 2018 13:23:31 -0800
Subject: [PATCH] btrfs: remove C constant redefinitions
Signed-off-by: Stephen J Day <stephen.day@docker.com>
---
btrfs.go | 10 +++-------
1 file changed, 3 insertions(+), 7 deletions(-)
diff --git a/vendor/github.com/containerd/btrfs/btrfs.go b/vendor/github.com/containerd/btrfs/btrfs.go
index 1deab47..efdf528 100644
--- a/vendor/github.com/containerd/btrfs/btrfs.go
+++ b/vendor/github.com/containerd/btrfs/btrfs.go
@@ -7,10 +7,6 @@ import "sort"
#include <btrfs/ioctl.h>
#include "btrfs.h"
-// Required because Go has struct casting rules for negative numbers
-const __u64 u64_BTRFS_LAST_FREE_OBJECTID = (__u64)BTRFS_LAST_FREE_OBJECTID;
-const __u64 negative_one = (__u64)-1;
-
static char* get_name_btrfs_ioctl_vol_args_v2(struct btrfs_ioctl_vol_args_v2* btrfs_struct) {
return btrfs_struct->name;
}
@@ -100,9 +96,9 @@ func subvolMap(path string) (map[uint64]*Info, error) {
args.key.min_type = C.BTRFS_ROOT_ITEM_KEY
args.key.max_type = C.BTRFS_ROOT_BACKREF_KEY
args.key.min_objectid = C.BTRFS_FS_TREE_OBJECTID
- args.key.max_objectid = C.u64_BTRFS_LAST_FREE_OBJECTID
- args.key.max_offset = C.negative_one
- args.key.max_transid = C.negative_one
+ args.key.max_objectid = C.BTRFS_LAST_FREE_OBJECTID
+ args.key.max_offset = ^C.__u64(0)
+ args.key.max_transid = ^C.__u64(0)
subvolsByID := make(map[uint64]*Info)

@ -0,0 +1,13 @@
diff --git a/lib/hypervisor/hv_kvm/__init__.py b/lib/hypervisor/hv_kvm/__init__.py
index 174621fcc..1f598e7ef 100644
--- a/lib/hypervisor/hv_kvm/__init__.py
+++ b/lib/hypervisor/hv_kvm/__init__.py
@@ -1094,7 +1094,7 @@ class KVMHypervisor(hv_base.BaseHypervisor):
# Add id to ballon and place to the first available slot (3 or 4)
addr = utils.GetFreeSlot(pci_reservations, reserve=True)
pci_info = ",bus=pci.0,addr=%s" % hex(addr)
- kvm_cmd.extend(["-balloon", "virtio,id=balloon%s" % pci_info])
+ kvm_cmd.extend(["-device", "virtio-balloon,id=balloon%s" % pci_info])
kvm_cmd.extend(["-daemonize"])
if not instance.hvparams[constants.HV_ACPI]:
kvm_cmd.extend(["-no-acpi"])

@ -1,5 +1,5 @@
#!/sbin/openrc-run
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
extra_commands="forcestart is_master"

@ -0,0 +1,96 @@
#!/sbin/openrc-run
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
extra_commands="forcestart is_master"
depend() {
need localmount logger
after bootmisc sshd
use net
}
DAEMON_UTIL="/usr/%LIBDIR%/ganeti/daemon-util"
is_master() {
[ -z "${ganeti_master}" ] && ganeti_master="$(gnt-cluster getmaster)"
[ -z "${local_hostname}" ] && local_hostname="$(hostname -f)"
[ "${ganeti_master}" = "${local_hostname}" ]
}
# This exists specifically for restarting a 2-node cluster where quorum might
# not be available.
forcestart() {
ewarn "Forcing non-quorum Ganeti master start"
GANETI_WCONFD_OPTS="${GANETI_WCONFD_OPTS} --no-voting --yes-do-it"
GANETI_LUXID_OPTS="${GANETI_LUXID_OPTS} --no-voting --yes-do-it"
GANETI_MASTERD_OPTS="${GANETI_LUXID_OPTS} --no-voting --yes-do-it"
export GANETI_WCONFD_OPTS GANETI_LUXID_OPTS GANETI_MASTERD_OPTS
start
}
start() {
if ! [ -e ${DAEMON_UTIL} ]; then
eerror "Could not find daemon utility at ${DAEMON_UTIL}"
return 1
elif ! ${DAEMON_UTIL} check-config ; then
eerror "Incomplete configuration, will not run."
return 1
fi
local daemon retval=0 optsvar started_daemons daemon_opts
for daemon in $(${DAEMON_UTIL} list-start-daemons); do
optsvar="$(printf "${daemon}_OPTS" | tr - _ | LC_ALL=C tr '[:lower:]' '[:upper:]')"
case "${daemon#ganeti-}" in
masterd|rapi|luxid) is_master || continue;;
esac
eval daemon_opts=\"\$\{${optsvar}\}\"
ebegin "Starting ${daemon}"
eindent
veinfo ${DAEMON_UTIL} start ${daemon} ${GANETI_OPTS} ${daemon_opts}
${DAEMON_UTIL} start ${daemon} ${GANETI_OPTS} ${daemon_opts} || retval=${?}
if [ ${retval} != 0 ] && [ -n "${started_daemons}" ]; then
case ${daemon} in
*-kvmd) retval=0; ewarn "Failed to start kvmd, continuing anyway";;
*)
eerror "Stopping already started daemons"
eindent
eend ${code} "$(${DAEMON_UTIL} check-exitcode ${code})"
for daemon in ${started_daemons}; do
ebegin "Stopping ${daemon}"
${DAEMON_UTIL} stop ${daemon} ${GANETI_OPTS}
eend ${?}
done
eoutdent; eoutdent
return ${retval}
;;
esac
fi
eoutdent
started_daemons="${started_daemons} ${daemon}"
done
}
stop() {
if ! [ -e ${DAEMON_UTIL} ]; then
eerror "Could not find daemon utility at ${DAEMON_UTIL}"
return 1
fi
local daemon
for daemon in $(${DAEMON_UTIL} list-stop-daemons) ; do \
case "${daemon#ganeti-}" in
masterd|rapi|luxid) is_master || continue;;
esac
${DAEMON_UTIL} stop ${daemon} ${GANETI_OPTS}
done
}
# vim:ft=gentoo-init-d:ts=4:sts=4:sw=4:noet:

@ -0,0 +1,378 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=(python2_7)
PYTHON_REQ_USE="ipv6(+)?"
inherit user autotools bash-completion-r1 python-single-r1
MY_PV="${PV/_rc/~rc}"
MY_PV="${MY_PV/_beta/~beta}"
MY_P="${PN}-${MY_PV}"
SERIES="$(ver_cut 1-2)"
DEBIAN_PATCH=11
SRC_URI="
http://downloads.ganeti.org/releases/${SERIES}/${MY_P}.tar.gz
mirror://debian/pool/main/g/ganeti-${SERIES}/ganeti-${SERIES}_${PV}-${DEBIAN_PATCH}.debian.tar.xz
"
KEYWORDS="~amd64 ~x86"
PATCHES=(
"${FILESDIR}"/ganeti-2.15-use-balloon-device.patch
"${WORKDIR}"/debian/patches/do-not-backup-export-dir.patch
"${WORKDIR}"/debian/patches/Makefile.am-use-C.UTF-8
"${WORKDIR}"/debian/patches/relax-deps
"${WORKDIR}"/debian/patches/zlib-0.6-compatibility
"${WORKDIR}"/debian/patches/fix_FTBFS_with_sphinx-1.3.5
"${WORKDIR}"/debian/patches/fix_ftbfs_with_sphinx_1.4
"${WORKDIR}"/debian/patches/use-proper-cabal-dev.patch
"${WORKDIR}"/debian/patches/0001-Drop-dependency-on-MonadCatchIO-transformers.patch
"${WORKDIR}"/debian/patches/0001-GHC-8-support.patch
"${WORKDIR}"/debian/patches/ghc8-fixes
"${WORKDIR}"/debian/patches/snap-server-1.0-compat
"${WORKDIR}"/debian/patches/non-DSA-SSH-key-support.patch
"${WORKDIR}"/debian/patches/fix-ssh-key-renewal-on-single-node-clusters.patch
"${WORKDIR}"/debian/patches/set-defaults-for-ssh-type-bits.patch
"${WORKDIR}"/debian/patches/use-hv-class-to-check-for-migration.patch
"${WORKDIR}"/debian/patches/do-not-specify-socat-ssl-method.patch
"${WORKDIR}"/debian/patches/fix-ftbfs-with-sphinx-1.5.patch
"${WORKDIR}"/debian/patches/fix-failover-from-dead-node.patch
"${WORKDIR}"/debian/patches/fix-cpu-affinity.patch
"${WORKDIR}"/debian/patches/fix-fcntl-i386.patch
"${WORKDIR}"/debian/patches/fix-ovf-test-path.patch
"${WORKDIR}"/debian/patches/fix-qa-ssconf-race.patch
"${WORKDIR}"/debian/patches/relax-sphinx-version-check.patch
#"${WORKDIR}"/debian/patches/THH-2.12.patch
"${WORKDIR}"/debian/patches/sphinx-1.7.patch
"${WORKDIR}"/debian/patches/ca-use-sha256-md.patch
"${WORKDIR}"/debian/patches/impexpd-fix-certificate-verification-with-new-socat.patch
"${WORKDIR}"/debian/patches/impexpd-fix-certificate-verification-with-new-socat-2.patch
)
DESCRIPTION="Ganeti is a virtual server management software tool"
HOMEPAGE="http://www.ganeti.org/"
LICENSE="GPL-2"
SLOT="0"
IUSE="drbd experimental haskell-daemons htools ipv6 kvm lxc monitoring multiple-users rbd syslog test xen restricted-commands"
REQUIRED_USE="|| ( kvm xen lxc )
test? ( ipv6 )
kvm? ( || ( amd64 x86 ) )
${PYTHON_REQUIRED_USE}"
USER_PREFIX="${GANETI_USER_PREFIX:-"gnt-"}"
GROUP_PREFIX="${GANETI_GROUP_PREFIX:-"${USER_PREFIX}"}"
DEPEND="
dev-libs/openssl:0
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/simplejson[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
dev-python/pyinotify[${PYTHON_USEDEP}]
dev-python/pycurl[${PYTHON_USEDEP}]
dev-python/ipaddr[${PYTHON_USEDEP}]
dev-python/bitarray[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/fdsend[${PYTHON_USEDEP}]
|| (
net-misc/iputils[arping]
net-analyzer/arping
)
net-analyzer/fping
net-misc/bridge-utils
net-misc/curl[ssl]
net-misc/openssh
net-misc/socat
sys-apps/iproute2
>=sys-fs/lvm2-2.02.181
>=sys-apps/baselayout-2.0
>=dev-lang/ghc-8.0:0=
<dev-lang/ghc-8.1:0=
dev-haskell/cabal:0=
dev-haskell/cabal-install:0=
!<app-emulation/ganeti-instance-image-0.6-r1
>=dev-haskell/mtl-2.1.1:0=
>=dev-haskell/old-time-1.1.0.0:0=
>=dev-haskell/random-1.0.1.1:0=
haskell-daemons? ( >=dev-haskell/text-0.11.1.13:0= )
>=dev-haskell/transformers-0.3.0.0:0=
>=dev-haskell/attoparsec-0.10.1.1:0=
<dev-haskell/attoparsec-0.14:0
>=dev-haskell/base64-bytestring-1.0.0.1:0=
<dev-haskell/base64-bytestring-1.1:0=
>=dev-haskell/crypto-4.2.4:0=
<dev-haskell/crypto-4.3:0=
>=dev-haskell/curl-1.3.7:0=
<dev-haskell/curl-1.4:0=
>=dev-haskell/hinotify-0.3.2:0=
<dev-haskell/hinotify-0.4:0=
>=dev-haskell/hslogger-1.1.4:0=
<dev-haskell/hslogger-1.3:0=
>=dev-haskell/json-0.5:0=
>=dev-haskell/lens-3.10:0=
>=dev-haskell/lifted-base-0.2.0.3:0=
<dev-haskell/lifted-base-0.3:0=
>=dev-haskell/monad-control-1.0.1.0:0=
<dev-haskell/monad-control-1.0.2:0=
>=dev-haskell/network-2.3.0.13:0=
<dev-haskell/network-2.7:0=
>=dev-haskell/parallel-3.2.0.2:3=
<dev-haskell/parallel-3.3:3=
>=dev-haskell/temporary-1.1.2.3:0=
<dev-haskell/temporary-1.3:0=
>=dev-haskell/regex-pcre-0.94.2:0=
<dev-haskell/regex-pcre-0.95:0=
>=dev-haskell/transformers-base-0.4:0=
<dev-haskell/transformers-base-0.5:0=
>=dev-haskell/utf8-string-0.3.7:0=
>=dev-haskell/zlib-0.5.3.3:0=
<dev-haskell/zlib-0.7:0=
>=dev-haskell/psqueue-1.1:0=
<dev-haskell/psqueue-1.2:0=
>=dev-haskell/snap-core-1.0.1:0=
<dev-haskell/snap-core-1.1:0=
>=dev-haskell/snap-server-1.0.1:0=
<dev-haskell/snap-server-1.1:0=
>=dev-haskell/case-insensitive-0.4.0.1
dev-haskell/vector:0=
xen? ( >=app-emulation/xen-3.0 )
kvm? (
dev-python/psutil
app-emulation/qemu
)
lxc? ( app-emulation/lxc )
drbd? ( sys-cluster/drbd-utils )
rbd? ( sys-cluster/ceph )
ipv6? ( net-misc/ndisc6 )
${PYTHON_DEPS}"
RDEPEND="${DEPEND}
!app-emulation/ganeti-htools"
DEPEND+="
sys-devel/m4
app-text/pandoc
dev-python/sphinx[${PYTHON_USEDEP}]
media-fonts/urw-fonts
media-gfx/graphviz
>=dev-haskell/test-framework-0.6:0=
<dev-haskell/test-framework-0.9:0=
>=dev-haskell/test-framework-hunit-0.2.7:0=
<dev-haskell/test-framework-hunit-0.4:0=
>=dev-haskell/test-framework-quickcheck2-0.2.12.1:0=
<dev-haskell/test-framework-quickcheck2-0.4:0=
test? (
dev-python/mock
dev-python/pyyaml
dev-haskell/haddock:0=
>=dev-haskell/hunit-1.2.4.2:0=
<dev-haskell/hunit-1.3:0=
>=dev-haskell/quickcheck-2.4.2:2=
<dev-haskell/quickcheck-2.8.3:2=
sys-apps/fakeroot
>=net-misc/socat-1.7
dev-util/shelltestrunner
)"
PATCHES+=(
"${FILESDIR}/${PN}-2.12-start-stop-daemon-args.patch"
"${FILESDIR}/${PN}-2.11-add-pgrep.patch"
"${FILESDIR}/${PN}-2.15-daemon-util.patch"
"${FILESDIR}/${PN}-2.9-disable-root-tests.patch"
"${FILESDIR}/${PN}-2.9-skip-cli-test.patch"
"${FILESDIR}/${PN}-2.10-rundir.patch"
"${FILESDIR}/${PN}-2.12-qemu-enable-kvm.patch"
"${FILESDIR}/${PN}-2.11-tests.patch"
"${FILESDIR}/${PN}-lockdir.patch"
"${FILESDIR}/${PN}-2.11-dont-nest-libdir.patch"
"${FILESDIR}/${PN}-2.11-dont-print-man-help.patch"
"${FILESDIR}/${PN}-2.11-daemon-util-tests.patch"
"${FILESDIR}/${PN}-2.13-process_unittest.patch"
"${FILESDIR}/${PN}-2.15-python-mock.patch"
"${FILESDIR}/${PN}-2.15.2-remove-sandbox-failing-tests.patch"
"${FILESDIR}/${PN}-2.15-noded-must-run-as-root.patch"
"${FILESDIR}/${PN}-2.15-kvmd-run-as-daemon-user.patch"
"${FILESDIR}/${PN}-2.15-dont-invert-return-values-for-man-warnings.patch"
"${FILESDIR}/${PN}-2.15-respect-HFLAGS.patch"
"${FILESDIR}/ganeti-2.15.2-bdev_py.patch"
)
S="${WORKDIR}/${MY_P}"
QA_WX_LOAD="
usr/lib*/${PN}/${SERIES}/usr/sbin/ganeti-*d
usr/lib*/${PN}/${SERIES}/usr/bin/htools
"
# haskell...
QA_FLAGS_IGNORED="
/usr/lib64/ganeti/2.15/usr/sbin/ganeti-metad
/usr/lib64/ganeti/2.15/usr/sbin/ganeti-wconfd
/usr/lib64/ganeti/2.15/usr/sbin/ganeti-confd
/usr/lib64/ganeti/2.15/usr/sbin/ganeti-luxid
/usr/lib64/ganeti/2.15/usr/sbin/ganeti-kvmd
/usr/lib64/ganeti/2.15/usr/bin/htools
"
pkg_setup () {
local user
python-single-r1_pkg_setup
if use multiple-users; then
for user in gnt-{masterd,confd,luxid,rapi,daemons,admin}; do
enewgroup ${user}
enewuser ${user} -1 -1 -1 ${user}
done
fi
}
src_prepare() {
local testfile
if has_version '>=dev-lang/ghc-7.10'; then
# Breaks the build on 7.8
PATCHES+=(
"${WORKDIR}"/debian/patches/ghc-7.10-compatibility.patch
)
fi
if use experimental; then
ewarn "Experimental patches have been applied! RPC between daemons with different patches applied may cause breakage!"
PATCHES+=(
# QEMU Agent accepted upstream for 2.16, not yet in a tagged release
# backport available for 2.15, but refused upstream due to RPC breakage.
"${FILESDIR}"/0001-kvm-use_guest_agent-QEMU-Guest-Agent-sup.stable-2.15.patch
)
fi
eapply "${PATCHES[@]}"
# Upstream commits:
# 4c3c2ca2a97a69c0287a3d23e064bc17978105eb
# 24618882737fd7c189adf99f4acc767d48f572c3
sed -i \
-e '/QuickCheck/s,< 2.8,< 2.8.3,g' \
cabal/ganeti.template.cabal
# Neuter -Werror
sed -i \
-e '/^if DEVELOPER_MODE/,/^endif/s/-Werror//' \
Makefile.am
# not sure why these tests are failing
# should remove this on next version bump if possible
for testfile in test/py/import-export_unittest.bash; do
printf '#!/bin/bash\ntrue\n' > "${testfile}"
done
# take the sledgehammer approach to bug #526270
grep -lr '/bin/sh' "${S}" | xargs -r -- sed -i 's:/bin/sh:/bin/bash:g'
sed "s:%LIBDIR%:$(get_libdir):g" "${FILESDIR}/ganeti.initd-r4" \
> "${T}/ganeti.initd"
eapply_user
[[ ${PV} =~ [9]{4,} ]] && ./autogen.sh
rm autotools/missing
eautoreconf
}
src_configure () {
# this is kind of a hack to work around the removal of the qemu-kvm wrapper
local kvm_arch
if use amd64; then
kvm_arch=x86_64
elif use x86; then
kvm_arch=i386
elif use kvm; then
die "Could not determine qemu system to use for kvm"
fi
econf --localstatedir=/var \
--sharedstatedir=/var \
--disable-symlinks \
--with-ssh-initscript=/etc/init.d/sshd \
--with-export-dir=/var/lib/ganeti-storage/export \
--with-os-search-path=/usr/share/${PN}/os \
$(use_enable restricted-commands) \
$(use_enable test haskell-tests) \
$(usex multiple-users "--with-default-user=" "" "gnt-daemons" "") \
$(usex multiple-users "--with-user-prefix=" "" "${USER_PREFIX}" "") \
$(usex multiple-users "--with-default-group=" "" "gnt-daemons" "") \
$(usex multiple-users "--with-group-prefix=" "" "${GROUP_PREFIX}" "") \
$(use_enable syslog) \
$(use_enable monitoring) \
$(usex kvm '--with-kvm-path=' '' "/usr/bin/qemu-system-${kvm_arch}" '') \
$(usex haskell-daemons "--enable-confd=haskell" '' '' '') \
--with-haskell-flags="-optl -Wl,-z,relro -optl -Wl,--as-needed" \
--enable-socat-escape \
--enable-socat-compress
}
src_install () {
emake V=1 DESTDIR="${D}" install
newinitd "${T}"/ganeti.initd ${PN}
newconfd "${FILESDIR}"/ganeti.confd-r2 ${PN}
if use kvm; then
newinitd "${FILESDIR}"/ganeti-kvm-poweroff.initd ganeti-kvm-poweroff
newconfd "${FILESDIR}"/ganeti-kvm-poweroff.confd ganeti-kvm-poweroff
fi
# ganeti installs it's own docs in a generic location
rm -rf "${D}"/{usr/share/doc/${PN},run}
sed -i "s:/usr/$(get_libdir)/${PN}/tools/burnin:burnin:" doc/examples/bash_completion
newbashcomp doc/examples/bash_completion gnt-instance
bashcomp_alias gnt-instance burnin ganeti-{cleaner,confd} \
h{space,check,scan,info,ail,arep,roller,squeeze,bal} \
gnt-{os,job,filter,debug,storage,group,node,network,backup,cluster}
use monitoring && bashcomp_alias gnt-instance mon-collector
dodoc INSTALL UPGRADE NEWS README doc/*.rst
docinto html
dodoc -r doc/html/* doc/css/*.css
docinto examples
dodoc doc/examples/{ganeti.cron,gnt-config-backup} doc/examples/*.ocf
docinto examples/hooks
dodoc doc/examples/hooks/{ipsec,ethers}
insinto /etc/cron.d
newins doc/examples/ganeti.cron ${PN}
insinto /etc/logrotate.d
newins doc/examples/ganeti.logrotate ${PN}
# need to dodir rather than keepdir here (bug #552482)
dodir /var/lib/${PN}
keepdir /var/log/${PN}/
keepdir /usr/share/${PN}/${SERIES}/os/
keepdir /var/lib/ganeti-storage/{export,file,shared}/
dosym ${SERIES} "/usr/share/${PN}/default"
dosym ${SERIES} "/usr/$(get_libdir)/${PN}/default"
python_fix_shebang "${ED}" "${D}"/usr/"$(get_libdir)"/${PN}/${SERIES}
}
pkg_postinst() {
if use multiple-users; then
elog "You have enable multiple user support, the users for this must"
elog "be created. You can use the provided tool for this, which is"
elog "located at:"
elog " /usr/$(get_libdir)/${PN}/tools/users-setup"
fi
}
src_test () {
PATH="${S}/scripts:${S}/src:${PATH}" \
TMPDIR="/tmp" \
GANETI_MASTER="$(hostname -f)" \
emake check || die "emake check failed"
}

@ -1,3 +1,4 @@
DIST lxd-3.10.tar.gz 27057432 BLAKE2B b5a5c3cd4f1045419c806510aab21c3bcde8c8687ede808b1b832e2a0caba0ff3af5d79367141b29e84c0bd3bcf6958d917bc813700220e238cd21933963009b SHA512 25ed7675af7b6861d754607b19485e329ae344befac06fe33f326e34030755359bea6f574c414849b85f034533fd5dccb95a326ae0ad9e44b8ea366f7ee44d04
DIST lxd-3.7.tar.gz 26321652 BLAKE2B ce7faab689ffe3950aa6f57a0fd2601f231ad26fc7fb09f02300f9c2226deda0876183fe2a4a14cc982c3c2a829acc1785e5e6e030f4dbeaf03a8fbba83e4cfc SHA512 a485c26ea04e6686a9fdac2219535e866f1906ff9a8e25fcd954d061a4cfc1585c4fa81b00247c34f571dbfb7f382be3e7208e3da72a4e281b714715a4f145fb
DIST lxd-3.8.tar.gz 26914475 BLAKE2B 9cf7ee1b5d57a3588d3ccecd47b22ef28da0faa684de03c7273949be1902f77ff7c49f4e7e5c942f7266e4e462ee009b1e70d25362610050cc41d81029d42d7b SHA512 20085f05c59287fc8f350d8ef314c19fd7361f8394812e4a0466f76d9df6957348fc954d952f70e50e7227d593a9db9af994e15f69fd76e6ca4812174bfa907c
DIST lxd-3.9.tar.gz 27031818 BLAKE2B 7956aa9d0cf773fbdae64e8770ebee474d0b1e20aa1399d96eb317efb8a8e1cc1673bf345cea7a7cf99746905b9e16c6b2b507e571931a0cab37ff7ff5df67fd SHA512 8d61912adeb33d06e4065aab7eaf80ab7b6e9cbc2b20dcca1cc5c74b999838aec32e805af3a6ae1262948514a619f4332ec44912ca720fa1b0e8b962165c117a

@ -0,0 +1,241 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Fast, dense and secure container management"
HOMEPAGE="https://linuxcontainers.org/lxd/introduction/"
LICENSE="Apache-2.0 BSD BSD-2 LGPL-3 MIT MPL-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+daemon +ipv6 +dnsmasq nls test tools"
inherit autotools bash-completion-r1 linux-info systemd user
SRC_URI="https://linuxcontainers.org/downloads/${PN}/${P}.tar.gz"
DEPEND="
dev-lang/tcl
>=dev-lang/go-1.9.4
dev-libs/libuv
dev-libs/protobuf
nls? ( sys-devel/gettext )
test? (
app-misc/jq
net-misc/curl
sys-devel/gettext
)
"
RDEPEND="
daemon? (
app-arch/xz-utils
>=app-emulation/lxc-2.0.7[seccomp]
dev-libs/libuv
dev-libs/lzo
dev-util/xdelta:3
dnsmasq? (
net-dns/dnsmasq[dhcp,ipv6?]
)
net-firewall/ebtables
net-firewall/iptables[ipv6?]
net-libs/libnfnetlink
net-libs/libnsl:0=
net-misc/rsync[xattr]
sys-apps/iproute2[ipv6?]
sys-fs/fuse
sys-fs/lxcfs
sys-fs/squashfs-tools
virtual/acl
)
"
CONFIG_CHECK="
~BRIDGE
~DUMMY
~IP6_NF_NAT
~IP6_NF_TARGET_MASQUERADE
~IPV6
~IP_NF_NAT
~IP_NF_TARGET_MASQUERADE
~MACVLAN
~NETFILTER_XT_MATCH_COMMENT
~NET_IPGRE
~NET_IPGRE_DEMUX
~NET_IPIP
~NF_NAT_MASQUERADE_IPV4
~NF_NAT_MASQUERADE_IPV6
~VXLAN
"
ERROR_BRIDGE="BRIDGE: needed for network commands"
ERROR_DUMMY="DUMMY: needed for network commands"
ERROR_IP6_NF_NAT="IP6_NF_NAT: needed for network commands"
ERROR_IP6_NF_TARGET_MASQUERADE="IP6_NF_TARGET_MASQUERADE: needed for network commands"
ERROR_IPV6="IPV6: needed for network commands"
ERROR_IP_NF_NAT="IP_NF_NAT: needed for network commands"
ERROR_IP_NF_TARGET_MASQUERADE="IP_NF_TARGET_MASQUERADE: needed for network commands"
ERROR_MACVLAN="MACVLAN: needed for network commands"
ERROR_NETFILTER_XT_MATCH_COMMENT="NETFILTER_XT_MATCH_COMMENT: needed for network commands"
ERROR_NET_IPGRE="NET_IPGRE: needed for network commands"
ERROR_NET_IPGRE_DEMUX="NET_IPGRE_DEMUX: needed for network commands"
ERROR_NET_IPIP="NET_IPIP: needed for network commands"
ERROR_NF_NAT_MASQUERADE_IPV4="NF_NAT_MASQUERADE_IPV4: needed for network commands"
ERROR_NF_NAT_MASQUERADE_IPV6="NF_NAT_MASQUERADE_IPV6: needed for network commands"
ERROR_VXLAN="VXLAN: needed for network commands"
EGO_PN="github.com/lxc/lxd"
src_prepare() {
eapply_user
eapply "${FILESDIR}/de-translation-newline-1.patch"
eapply "${FILESDIR}/ptbr-translation-newline.patch"
cd "${S}/dist/dqlite" || die "Can't cd to dqlite dir"
eautoreconf
}
src_configure() {
export GOPATH="${S}/dist"
cd "${GOPATH}/sqlite" || die "Can't cd to sqlite dir"
econf --enable-replication --disable-amalgamation --disable-tcl --libdir="${EPREFIX}/usr/lib/lxd"
cd "${GOPATH}/dqlite" || die "Can't cd to dqlite dir"
PKG_CONFIG_PATH="${GOPATH}/sqlite/" econf --libdir=${EPREFIX}/usr/lib/lxd
}
src_compile() {
export GOPATH="${S}/dist"
cd "${GOPATH}/sqlite" || die "Can't cd to sqlite dir"
emake
cd "${GOPATH}/dqlite" || die "Can't cd to dqlite dir"
emake CFLAGS="-I${GOPATH}/sqlite" LDFLAGS="-L${GOPATH}/sqlite"
# We don't use the Makefile here because it builds targets with the
# assumption that `pwd` is in a deep gopath namespace, which we're not.
# It's simpler to manually call "go install" than patching the Makefile.
cd "${S}"
go install -v -x ${EGO_PN}/lxc || die "Failed to build the client"
if use daemon; then
# LXD depends on a patched, bundled sqlite with replication
# capabilities.
export CGO_CFLAGS="-I${GOPATH}/sqlite/ -I${GOPATH}/dqlite/include/"
export CGO_LDFLAGS="-L${GOPATH}/sqlite/.libs/ -L${GOPATH}/dqlite/.libs/ -Wl,-rpath,${EPREFIX}/usr/lib/lxd"
export LD_LIBRARY_PATH="${GOPATH}/sqlite/.libs/:${GOPATH}/dqlite/.libs/"
go install -v -x -tags libsqlite3 ${EGO_PN}/lxd || die "Failed to build the daemon"
fi
if use tools; then
go install -v -x ${EGO_PN}/fuidshift || die "Failed to build fuidshift"
go install -v -x ${EGO_PN}/lxc-to-lxd || die "Failed to build lxc-to-lxd"
go install -v -x ${EGO_PN}/lxd-benchmark || die "Failed to build lxd-benchmark"
go install -v -x ${EGO_PN}/lxd-p2c || die "Failed to build lxd-p2c"
fi
use nls && emake build-mo
}
src_test() {
if use daemon; then
export GOPATH="${S}/dist"
# This is mostly a copy/paste from the Makefile's "check" rule, but
# patching the Makefile to work in a non "fully-qualified" go namespace
# was more complicated than this modest copy/paste.
# Also: sorry, for now a network connection is needed to run tests.
# Will properly bundle test dependencies later.
go get -v -x github.com/rogpeppe/godeps
go get -v -x github.com/remyoudompheng/go-misc/deadcode
go get -v -x github.com/golang/lint/golint
go test -v ${EGO_PN}/lxd
else
einfo "No tests to run for client-only builds"
fi
}
src_install() {
local bindir="dist/bin"
dobin ${bindir}/lxc
if use daemon; then
export GOPATH="${S}/dist"
cd "${GOPATH}/sqlite" || die "Can't cd to sqlite dir"
emake DESTDIR="${D}" install
cd "${GOPATH}/dqlite" || die "Can't cd to dqlite dir"
emake DESTDIR="${D}" install
# Must only install libs
rm "${D}/usr/bin/sqlite3" || die "Can't remove custom sqlite3 binary"
rm -r "${D}/usr/include" || die "Can't remove include directory"
cd "${S}" || die "Can't cd to \${S}"
dosbin ${bindir}/lxd
fi
if use tools; then
dobin ${bindir}/fuidshift
dobin ${bindir}/lxc-to-lxd
dobin ${bindir}/lxd-benchmark
dobin ${bindir}/lxd-p2c
fi
if use nls; then
domo po/*.mo
fi
if use daemon; then
newinitd "${FILESDIR}"/${PN}.initd lxd
newconfd "${FILESDIR}"/${PN}.confd lxd
systemd_newunit "${FILESDIR}"/${PN}.service ${PN}.service
fi
newbashcomp scripts/bash/lxd-client lxc
dodoc AUTHORS doc/*
}
pkg_postinst() {
elog
elog "Consult https://wiki.gentoo.org/wiki/LXD for more information,"
elog "including a Quick Start."
# The messaging below only applies to daemon installs
use daemon || return 0
# The control socket will be owned by (and writeable by) this group.
enewgroup lxd
# Ubuntu also defines an lxd user but it appears unused (the daemon
# must run as root)
elog
elog "Though not strictly required, some features are enabled at run-time"
elog "when the relevant helper programs are detected:"
elog "- sys-apps/apparmor"
elog "- sys-fs/btrfs-progs"
elog "- sys-fs/lvm2"
elog "- sys-fs/zfs"
elog "- sys-process/criu"
elog
elog "Since these features can't be disabled at build-time they are"
elog "not USE-conditional."
elog
elog "Be sure to add your local user to the lxd group."
elog
elog "Networks with bridge.mode=fan are unsupported due to requiring"
elog "a patched kernel and iproute2."
}
# TODO:
# - man page, I don't see cobra generating it
# - maybe implement LXD_CLUSTER_UPDATE per
# https://discuss.linuxcontainers.org/t/lxd-3-5-has-been-released/2656
# EM I'm not convinced it's a good design.

Binary file not shown.

@ -1,2 +1 @@
DIST cdctl-0.15.tar.gz 44163 BLAKE2B f5f3f44fabdff4446eb5d6e3fdcb12f17a4d6ee57e90f4bb772c963d89fd7b22301a6f8ae3b4f4b38f57aabd27cd68a292b96849d66c2b77741d07e129d2a8c5 SHA512 7bcaec8f52cafbe84d87dcb740a952520ceccb197b1491a88bb03d6a993a6385d424f67386a7175bb30c5c8b3ac02abf31c2e8843c1cd7d1d808eee70a5906f4
DIST cdctl-0.16.tar.gz 34121 BLAKE2B aee95efe468c215102afcd40262f0f3e9196551a661052a9f0909ca068a6b74a25f3cdb01ac62fde2f940dcd6da6e5f4a33328331723b7a14d836bcab1c0c479 SHA512 e1c341cf0acabc28c8aedb3265e65ffe90668b83eb44d23577049cc81a160ab0ec8b6e813cf8ffe20aaf83b4d056a8f07c2e958f5a6086db3843b84b36e060b4

@ -1,36 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=0
inherit eutils toolchain-funcs
DESCRIPTION="Utility to control your cd/dvd drive"
HOMEPAGE="http://cdctl.sourceforge.net/"
SRC_URI="mirror://sourceforge/cdctl/${P}.tar.gz"
LICENSE="free-noncomm"
SLOT="0"
KEYWORDS="x86 ppc amd64 ppc64"
IUSE=""
DEPEND=""
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-Makefile.in.patch
epatch "${FILESDIR}"/${P}-cdc_ioctls.patch
}
src_compile() {
econf
emake CC="$(tc-getCC)" \
CFLAGS="${CFLAGS}" \
|| die "emake failed"
}
src_install() {
emake DESTDIR="${D}" install || die
dodoc NEWS NUTSANDBOLTS PUBLICKEY README
}

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/cdctl/${P}.tar.gz"
LICENSE="free-noncomm"
SLOT="0"
KEYWORDS="~amd64 ppc ppc64 x86"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE=""
DEPEND=""

@ -1,56 +0,0 @@
--- Makefile.in.orig 2003-02-20 21:57:38.000000000 -0800
+++ Makefile.in 2003-02-20 22:27:10.000000000 -0800
@@ -2,10 +2,12 @@
CFLAGS=-Wall -g
BINS=cdctl sndreset
OBJS=cdctl.o version.o ioctls.o iso_header.o
-DOCS=NEWS NUTSANDBOLTS LICENSE PUBLICKEY README SEGFAULTS
+DOCS=NEWS NUTSANDBOLTS LICENSE PUBLICKEY README
MANS=cdctl.1
MOS=cdctl.mo
+prefix = @prefix@
+exec_prefix = @exec_prefix@
bindir = @bindir@
mandir = @mandir@
datadir = @datadir@
@@ -16,6 +18,10 @@
INSTALL = @INSTALL@
INSTALL_DATA = $(INSTALL) -m 644
+DESTDIR =
+
+man1dir = $(mandir)/man1
+
all: $(BINS)
cdctl: $(OBJS)
@@ -26,21 +32,21 @@
version.o: version.c
iso_header.o: iso_header.c
-install: install-bins install-docs install-mans install-mos
+install: install-bins install-mans install-mos
install-bins: $(BINS)
- $(INSTALL) -s $(BINS) $(bindir)
-
-install-docs: $(DOCS)
- $(INSTALL_DATA) $(DOCS) $(datadir)
+ $(INSTALL) -d $(DESTDIR)$(bindir)
+ $(INSTALL) $(BINS) $(DESTDIR)$(bindir)
install-mans: $(MANS)
- $(INSTALL_DATA) $(MANS) $(mandir)
+ $(INSTALL) -d $(DESTDIR)$(man1dir)
+ $(INSTALL_DATA) $(MANS) $(DESTDIR)$(man1dir)
# FIXME: need to deal with other languages besides German
install-mos: cdctl.mo
- $(INSTALL_DATA) $(MOS) $(localedir)/de/LC_MESSAGES
+ $(INSTALL) -d $(DESTDIR)$(localedir)/de/LC_MESSAGES
+ $(INSTALL_DATA) $(MOS) $(DESTDIR)$(localedir)/de/LC_MESSAGES
cdctl.mo: cdctl.po
msgfmt cdctl.po -o cdctl.mo

@ -1,13 +0,0 @@
diff -Naurp cdctl-0.15-orig/cdctl.c cdctl-0.15/cdctl.c
--- cdctl-0.15-orig/cdctl.c 2006-08-08 23:18:44.000000000 +0200
+++ cdctl-0.15/cdctl.c 2006-08-08 23:19:33.000000000 +0200
@@ -337,7 +337,9 @@ int do_print_capabilities(int cdrom) {
printf("Can report media change: %i\n", (ret & CDC_MEDIA_CHANGED)?1:0);
printf("Can play audio discs : %i\n", (ret & CDC_PLAY_AUDIO)?1:0);
printf("Can do a hard reset : %i\n", (ret & CDC_RESET)?1:0);
+#ifdef CDC_IOCTLS
printf("Has non-standard ioctls: %i\n", (ret & CDC_IOCTLS)?1:0);
+#endif
printf("Can report drive status: %i\n", (ret & CDC_DRIVE_STATUS)?1:0);
#ifdef CDROM_CHANGER_NSLOTS

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -7,7 +7,7 @@ EGO_PN="gopkg.in/Netflix-Skunkworks/go-jira.v1"
inherit golang-build golang-vcs-snapshot
KEYWORDS="~amd64"
KEYWORDS="amd64"
DESCRIPTION="A simple JIRA commandline client in Go"
HOMEPAGE="https://github.com/Netflix-Skunkworks/go-jira"

@ -1,70 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
inherit eutils flag-o-matic
DESCRIPTION="Builds a chroot and configures all the required files, directories and libraries"
HOMEPAGE="https://github.com/spiculator/jail"
SRC_URI="https://github.com/spiculator/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ~ppc64 x86"
IUSE=""
DEPEND=">=sys-apps/sed-4"
RDEPEND="dev-lang/perl
dev-util/strace"
src_prepare() {
epatch \
"${FILESDIR}"/${PN}-1.9-gentoo.patch \
"${FILESDIR}"/${PN}-1.9-wrongshell.patch \
"${FILESDIR}"/${PN}-1.9-multiuser-rsa.patch \
"${FILESDIR}"/${PN}-1.9-ldflags.patch \
"${FILESDIR}"/${PN}-2.0-sysmacros.patch
}
src_compile() {
# configuration files should be installed in /etc not /usr/etc
sed -i "s:\$4/etc:\${D}/etc:g" install.sh || die
# the destination directory should be /usr not /usr/local
sed -i -e "s:usr/local:${D}/usr:g" \
-e "s:^COPT =.*:COPT = -Wl,-z,no:g" src/Makefile || die
# Below didn't work. Don't know why
#append-ldflags -Wl,-z,now
emake -C src CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
}
src_install() {
emake -C src install
# remove //var/tmp/portage/${P}/image//usr from files
FILES=( "${D}/usr/bin/mkjailenv"
"${D}/usr/bin/addjailsw"
"${D}/usr/bin/addjailuser"
"${D}/etc/jail.conf"
"${D}/usr/lib/libjail.pm"
"${D}/usr/lib/arch/generic/definitions"
"${D}/usr/lib/arch/generic/functions"
"${D}/usr/lib/arch/linux/definitions"
"${D}/usr/lib/arch/linux/functions"
"${D}/usr/lib/arch/freebsd/definitions"
"${D}/usr/lib/arch/freebsd/functions"
"${D}/usr/lib/arch/irix/definitions"
"${D}/usr/lib/arch/irix/functions"
"${D}/usr/lib/arch/solaris/definitions"
"${D}/usr/lib/arch/solaris/functions" )
for f in "${FILES[@]}"; do
sed -i "s:/${D}/usr:/usr:g" ${f} || die
done
sed -i "s:/usr/etc:/etc:" "${D}"/usr/lib/libjail.pm || die
dodoc doc/{CHANGELOG,INSTALL,README,SECURITY,VERSION}
}

@ -10,7 +10,7 @@ SRC_URI="https://github.com/spiculator/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ppc ~ppc64 x86"
KEYWORDS="amd64 ppc ~ppc64 x86"
IUSE=""
RDEPEND="

@ -13,7 +13,7 @@ SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE="+edit gpm mclib nls samba sftp +slang spell test unicode X +xdg"
REQUIRED_USE="spell? ( edit )"

@ -15,7 +15,7 @@ SRC_URI="https://github.com/andreafrancia/${PN}/archive/${GIT_REF}.tar.gz -> ${P
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE="test"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]

Binary file not shown.

@ -1,124 +0,0 @@
From f53805bdc108b608e40f217e6a78e7e4df4284f2 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Sun, 18 Mar 2018 11:56:57 +0100
Subject: [PATCH] Fix build with Qt 5.11 (missing headers)
Reviewers: #calligra:_3.0
Tags: #calligra:_3.0
Differential Revision: https://phabricator.kde.org/D11454
---
plan/src/kptview.h | 1 +
plan/src/kptviewlist.cpp | 1 +
plan/src/libs/ui/kptaccountseditor.cpp | 1 +
plan/src/libs/ui/kptdocumentspanel.h | 1 +
plan/src/libs/ui/kptitemviewsettup.cpp | 2 +-
plan/src/libs/ui/kpttaskeditor.cpp | 1 +
plan/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp | 1 +
plan/src/libs/widgets/KoPageLayoutWidget.cpp | 2 ++
15 files changed, 18 insertions(+), 1 deletion(-)
diff --git a/plan/src/kptview.h b/plan/src/kptview.h
index 44d11935e71..a98e55342db 100644
--- a/plan/src/kptview.h
+++ b/plan/src/kptview.h
@@ -28,6 +28,7 @@
#include "kptcontext.h"
#include "kptviewbase.h"
+#include <QActionGroup>
#include <QDockWidget>
#include <QMap>
diff --git a/plan/src/kptviewlist.cpp b/plan/src/kptviewlist.cpp
index f34e702e055..0e6db7b2ffe 100644
--- a/plan/src/kptviewlist.cpp
+++ b/plan/src/kptviewlist.cpp
@@ -25,6 +25,7 @@
#include <QStyle>
#include <QBrush>
#include <QContextMenuEvent>
+#include <QHeaderView>
#include <QMenu>
#include <kmessagebox.h>
diff --git a/plan/src/libs/ui/kptaccountseditor.cpp b/plan/src/libs/ui/kptaccountseditor.cpp
index 7991fafd779..54e3a87c94f 100644
--- a/plan/src/libs/ui/kptaccountseditor.cpp
+++ b/plan/src/libs/ui/kptaccountseditor.cpp
@@ -40,6 +40,7 @@
#include <QContextMenuEvent>
#include <QMenu>
#include <QAction>
+#include <QHeaderView>
#include <KLocalizedString>
#include <kactioncollection.h>
diff --git a/plan/src/libs/ui/kptdocumentspanel.h b/plan/src/libs/ui/kptdocumentspanel.h
index 00ea3af80b2..491cb1ebb86 100644
--- a/plan/src/libs/ui/kptdocumentspanel.h
+++ b/plan/src/libs/ui/kptdocumentspanel.h
@@ -26,6 +26,7 @@
#include "kptdocuments.h"
+#include <QModelIndexList>
#include <QWidget>
#include <kundo2qstack.h>
diff --git a/plan/src/libs/ui/kptitemviewsettup.cpp b/plan/src/libs/ui/kptitemviewsettup.cpp
index d1c3b1fc157..7c97a070b9a 100644
--- a/plan/src/libs/ui/kptitemviewsettup.cpp
+++ b/plan/src/libs/ui/kptitemviewsettup.cpp
@@ -25,9 +25,9 @@
#include "KoPageLayoutWidget.h"
+#include <QHeaderView>
#include <QPushButton>
-
namespace KPlato
{
diff --git a/plan/src/libs/ui/kpttaskeditor.cpp b/plan/src/libs/ui/kpttaskeditor.cpp
index 21546118d33..91db5acbb18 100644
--- a/plan/src/libs/ui/kpttaskeditor.cpp
+++ b/plan/src/libs/ui/kpttaskeditor.cpp
@@ -45,6 +45,7 @@
#include <QVBoxLayout>
#include <QDragMoveEvent>
#include <QAction>
+#include <QHeaderView>
#include <QMenu>
#include <kactionmenu.h>
diff --git a/plan/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp b/plan/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp
index 344ebc2b599..9146f06ab8c 100644
--- a/plan/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp
+++ b/plan/src/libs/ui/reportsgenerator/ReportsGeneratorView.cpp
@@ -31,6 +31,7 @@
#include <KFile>
#include <QAction>
+#include <QHeaderView>
#include <QTreeView>
#include <QStandardItemModel>
#include <QModelIndex>
diff --git a/plan/src/libs/widgets/KoPageLayoutWidget.cpp b/plan/src/libs/widgets/KoPageLayoutWidget.cpp
index c9e17b748a9..b67e9848807 100644
--- a/plan/src/libs/widgets/KoPageLayoutWidget.cpp
+++ b/plan/src/libs/widgets/KoPageLayoutWidget.cpp
@@ -23,6 +23,8 @@
#include <KoUnit.h>
+#include <QButtonGroup>
+
class Q_DECL_HIDDEN KoPageLayoutWidget::Private
{
public:
--
2.16.2

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save